process TRAIN_TRA =
     ( ? boolean H, HV11, HV12, HLW1, HNW1, HV21, HV22, HLW2, HNW2, HREPARER1, HPANNE1, HDEFAILLANCE1, HREPARER2, HPANNE2, HDEFAILLANCE2;
         real V11, V12, LW1;
         integer NW1;
         real V21, V22, LW2;
         integer NW2;
     )
   pragmas 
      main
   end pragmas
   (| (| HACTIF := ^H
       | HACTIF ^= H
       | ACT_HACTIF{}
       |) |)
   where 
   constant real DMIN = 2500.0;
   constant real XT1 = 0.0;
   constant real XT2 = 10.0;
   constant real XT3 = 2480.0;
   constant real XT4 = 2520.0;
   constant real XT5 = 5000.0;
   constant integer DEL1 = 30;
   constant integer DEL2 = 15;
   constant integer DEL3 = 13;
   constant integer DEL_BARRIERE = 5;
   constant integer YV = 140;
   constant integer SENS = 1;
   constant integer NSLIDER = 1;
   constant integer NS = 2;
   constant integer YV2 = 120;
   constant integer YV2_1775 = 120;
   constant integer YV_1877 = 370;
   constant integer SENS_1880 = -1;
   constant integer NSLIDER_1883 = 3;
   constant integer NSLIDER_3177 = 4;
   constant integer YV2_3200 = 350;
   constant integer YV2_3282 = 350;
   constant integer XBAR = 520;
   constant integer YBAR = 310;
   constant integer XBAR_3712 = 520;
   constant integer YBAR_3713 = 80;
   constant real DIST1 = XT2-XT1;
   constant real DIST2 = XT3-XT2;
   constant integer X_4448 = 170;
   constant integer Y_4451 = 220;
   constant boolean INITIAL = true;
   constant boolean INITIAL_4702 = true;
   constant integer X_5081 = 170;
   constant integer Y_5082 = 200;
   constant boolean INITIAL_5111 = true;
   constant boolean INITIAL_5318 = true;
   constant boolean INITIAL_5426 = true;
   constant integer F_5502 = 1;
   constant integer X1_5503 = 498;
   constant integer Y1_5506 = 72;
   constant integer X2_5509 = 514;
   constant integer Y2_5512 = 88;
   constant integer F_5630 = 1;
   constant integer X1_5631 = 498;
   constant integer Y1_5632 = 302;
   constant integer X2_5635 = 514;
   constant integer Y2_5636 = 318;
   constant integer F_5763 = 0;
   constant integer Y_5764 = 60;
   constant integer X1_5767 = 120;
   constant integer X2_5770 = 240;
   constant integer X3_5773 = 360;
   constant integer XX2_5784 = 220;
   constant integer YY2 = 80;
   constant integer XX2_5832 = 340;
   constant integer YY2_5835 = 80;
   constant integer XX2_5875 = 460;
   constant integer YY2_5878 = 80;
   constant integer F_5921 = 0;
   constant integer Y_5922 = 100;
   constant integer X1_5924 = 120;
   constant integer X2_5925 = 240;
   constant integer X3_5926 = 360;
   constant integer XX2_5935 = 220;
   constant integer YY2_5938 = 120;
   constant integer XX2_5982 = 340;
   constant integer YY2_5985 = 120;
   constant integer XX2_6025 = 460;
   constant integer YY2_6028 = 120;
   constant integer F_6074 = 0;
   constant integer Y_6075 = 200;
   constant integer X1_6076 = 137;
   constant integer X2_6079 = 280;
   constant integer X3_6082 = 400;
   constant integer XX2_6099 = 187;
   constant integer YY2_6103 = 220;
   constant integer XX2_6153 = 380;
   constant integer YY2_6156 = 220;
   constant integer XX2_6196 = 500;
   constant integer YY2_6199 = 220;
   constant integer F_6245 = 0;
   constant integer Y_6246 = 240;
   constant integer X1_6247 = 137;
   constant integer X2_6248 = 280;
   constant integer X3_6249 = 400;
   constant integer XX2_6264 = 187;
   constant integer YY2_6267 = 260;
   constant integer XX2_6317 = 380;
   constant integer YY2_6320 = 260;
   constant integer XX2_6360 = 500;
   constant integer YY2_6363 = 260;
   constant integer M = 100;
   constant integer M_6504 = 40;
   event HACTIF;
   process ACT_HACTIF =
        ( )
      (| HACTIF ^= ZX1 ^= ZX2 ^= ZXX1 ^= ZXX2 ^= VITESSE ^= ZVITESSE ^= VITESSE_1550 ^= ZVITESSE_1551 ^= Z_1589 ^= Z_1602 ^= Z_1615 ^= Z_1628 ^= ZX1_2972 ^= ZX2_2973 ^= ZXX1_2974 ^= ZXX2_2975 ^= VITESSE_3016 ^= ZVITESSE_3017 ^= VITESSE_3089 ^= 
         ZVITESSE_3090 ^= Z_3128 ^= Z_3141 ^= Z_3154 ^= Z_3167 ^= XZX ^= ACTIF_3550 ^= ZACTIF_1 ^= ACTIF_3583 ^= POS_THEORIQUE ^= ACTIF_3615 ^= ZACTIF_2 ^= ACTIF_3647 ^= MOUVEMENT ^= XZX_3744 ^= ACTIF_3825 ^= ZACTIF_3826 ^= ACTIF_3857 ^= ZACTIF_3858 ^= 
         ACTIF_3889 ^= ZACTIF_3890 ^= ACTIF_3921 ^= ZACTIF_3922 ^= ACTIF_4580 ^= ZACTIF_4581 ^= ACTIF_5206 ^= ZACTIF_5207 ^= N_6489 ^= ZN_6490 ^= N_6509 ^= ZN_6510
       | (| STOP1 := when (ZXX1>XT5)
          | (| RAZSLIDER(1 when STOP1) |)
          | CLK_798 := when (not (ZXX1>XT5))
          |)
       | (| CLK_810 := when ((VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2)))
          | CLK_811 := when (not ((VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2))))
          |)
       | (| CLK_818 := when (ZXX1<=XT1)
          | CLK_819 := when (not (ZXX1<=XT1))
          |)
       | (| STOP2 := when (ZXX2>XT5)
          | (| RAZSLIDER(2 when STOP2) |)
          | CLK_860 := when (not (ZXX2>XT5))
          |)
       | (| CLK_873 := when ((VITESSE_1550>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1)))
          | CLK_874 := when (not ((VITESSE_1550>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1))))
          |)
       | (| CLK_881 := when (ZXX2<=XT1)
          | CLK_882 := when (not (ZXX2<=XT1))
          |)
       | (| STOP1_2795 := when (ZXX1_2974>XT5)
          | (| RAZSLIDER(3 when STOP1_2795) |)
          | CLK_1720 := when (not (ZXX1_2974>XT5))
          |)
       | (| CLK_1733 := when ((VITESSE_3016>0.0e0) and ((ZX1_2972>=ZX2_2973) or ((ZX1_2972+DMIN)<ZXX2_2975)))
          | CLK_1734 := when (not ((VITESSE_3016>0.0e0) and ((ZX1_2972>=ZX2_2973) or ((ZX1_2972+DMIN)<ZXX2_2975))))
          |)
       | (| CLK_1741 := when (ZXX1_2974<=XT1)
          | CLK_1742 := when (not (ZXX1_2974<=XT1))
          |)
       | (| STOP2_2796 := when (ZXX2_2975>XT5)
          | (| RAZSLIDER(4 when STOP2_2796) |)
          | CLK_1783 := when (not (ZXX2_2975>XT5))
          |)
       | (| CLK_1796 := when ((VITESSE_3089>0.0e0) and ((ZX2_2973>=ZX1_2972) or ((ZX2_2973+DMIN)<ZXX1_2974)))
          | CLK_1797 := when (not ((VITESSE_3089>0.0e0) and ((ZX2_2973>=ZX1_2972) or ((ZX2_2973+DMIN)<ZXX1_2974))))
          |)
       | (| CLK_1804 := when (ZXX2_2975<=XT1)
          | CLK_1805 := when (not (ZXX2_2975<=XT1))
          |)
       | (| CLK_1950 := when MOUVEMENT
          | CLK_1951 := when (not MOUVEMENT)
          |)
       | (| CLK_1953 := when POS_THEORIQUE
          | CLK_1954 := when (not POS_THEORIQUE)
          |)
       | (| CLK_2083 := when (ZACTIF_1 or ZACTIF_2)
          | CLK_2084 := when (not (ZACTIF_1 or ZACTIF_2))
          |)
       | (| CLK_2124 := when ZACTIF_3922
          | CLK_2125 := when (not ZACTIF_3922)
          |)
       | (| CLK_2127 := when ZACTIF_3858
          | CLK_2128 := when (not ZACTIF_3858)
          |)
       | (| CLK_2253 := when (ZACTIF_3826 or ZACTIF_3890)
          | CLK_2254 := when (not (ZACTIF_3826 or ZACTIF_3890))
          |)
       | (| COMPTER := when ACTIF_4580
          | CLK_2618 := when (not ACTIF_4580)
          |)
       | (| COMPTER_5203 := when ACTIF_5206
          | CLK_3100 := when (not ACTIF_5206)
          |)
       | (| HMOD100 := when (ZN_6490=1)
          | CLK_3774 := when (not (ZN_6490=1))
          |)
       | (| HMOD40 := when (ZN_6510=1)
          | HMOD40 ^= HV11 ^= HV12 ^= HLW1 ^= HNW1 ^= HV21 ^= HV22 ^= HLW2 ^= HNW2 ^= HREPARER1 ^= HPANNE1 ^= HDEFAILLANCE1 ^= HREPARER2 ^= HPANNE2 ^= HDEFAILLANCE2
          | ACT_HMOD40{}
          | CLK_3789 := when (not (ZN_6510=1))
          |)
       | (| HV_3093 := STOP2_2796 ^+ CLK_1796
          | HV_3093 ^= X_2864 ^= XX_2869
          | ACT_HV_3093{}
          |)
       | (| DEMARRAGE_3092 := HV_3093 ^* CLK_1804
          | DEMARRAGE_3092 ^= L_2896 ^= LWAG_3052
          | ACT_DEMARRAGE_3092{}
          |)
       | (| CLK_4064 := DEMARRAGE_3092 ^+ STOP2_2796 |)
       | (| HV_3020 := STOP1_2795 ^+ CLK_1733
          | HV_3020 ^= X_2801 ^= XX_2806
          | ACT_HV_3020{}
          |)
       | (| CLK_4070 := STOP1_2795 ^+ HV_3093 |)
       | (| CLK_4072 := STOP1_2795 ^+ STOP2_2796 |)
       | (| DEMARRAGE_3019 := HV_3020 ^* CLK_1741
          | DEMARRAGE_3019 ^= L_2833 ^= LWAG_2978
          | ACT_DEMARRAGE_3019{}
          |)
       | (| CLK_4077 := HV_3020 ^+ HV_3093 |)
       | (| CLK_4082 := DEMARRAGE_3019 ^+ CLK_4070 |)
       | (| CLK_4084 := DEMARRAGE_3019 ^+ STOP1_2795 |)
       | (| CLK_XW0_2615 := CLK_XW0_2634 ^+ CLK_XW0_2676
          | CLK_XW0_2615 ^= XW0_2615
          | (| XW0_2615 := (XW0_2634 when CLK_XW0_2634) default (XW0_2676 when CLK_4932) |)
          |)
       | (| CLK_XW0_2455 := CLK_XW0_2474 ^+ CLK_XW0_2516
          | CLK_XW0_2455 ^= XW0_2455
          | (| XW0_2455 := (XW0_2474 when CLK_XW0_2474) default (XW0_2516 when CLK_4924) |)
          |)
       | (| CLK_XW0_2295 := CLK_XW0_2314 ^+ CLK_XW0_2356
          | CLK_XW0_2295 ^= XW0_2295
          | (| XW0_2295 := (XW0_2314 when CLK_XW0_2314) default (XW0_2356 when CLK_4916) |)
          |)
       | (| CLK_XW0_2133 := CLK_XW0_2152 ^+ CLK_XW0_2195
          | CLK_XW0_2133 ^= XW0_2133
          | (| XW0_2133 := (XW0_2152 when CLK_XW0_2152) default (XW0_2195 when CLK_4910) |)
          |)
       | (| CLK_XW0_1965 := CLK_XW0_1984 ^+ CLK_XW0_2030
          | CLK_XW0_1965 ^= XW0_1965
          | (| XW0_1965 := (XW0_1984 when CLK_XW0_1984) default (XW0_2030 when CLK_4902) |)
          |)
       | (| HV_1554 := STOP2 ^+ CLK_873
          | HV_1554 ^= X2 ^= XX2
          | ACT_HV_1554{}
          |)
       | (| DEMARRAGE_1553 := HV_1554 ^* CLK_881
          | DEMARRAGE_1553 ^= L_1355 ^= LWAG2
          | ACT_DEMARRAGE_1553{}
          |)
       | (| CLK_4108 := DEMARRAGE_1553 ^+ STOP2 |)
       | (| HV := STOP1 ^+ CLK_810
          | HV ^= X1 ^= XX1
          | ACT_HV{}
          |)
       | (| CLK_4114 := STOP1 ^+ HV_1554 |)
       | (| CLK_4116 := STOP1 ^+ STOP2 |)
       | (| DEMARRAGE := HV ^* CLK_818
          | DEMARRAGE ^= L ^= LWAG1
          | ACT_DEMARRAGE{}
          |)
       | (| CLK_4121 := HV ^+ HV_1554 |)
       | (| CLK_4126 := DEMARRAGE ^+ CLK_4114 |)
       | (| CLK_4128 := DEMARRAGE ^+ STOP1 |)
       | (| CLK_XW0_1071 := CLK_XW0_1090 ^+ CLK_XW0_1133
          | CLK_XW0_1071 ^= XW0_1071
          | (| XW0_1071 := (XW0_1090 when CLK_XW0_1090) default (XW0_1133 when CLK_4886) |)
          |)
       | (| CLK_XW0_910 := CLK_XW0_929 ^+ CLK_XW0_972
          | CLK_XW0_910 ^= XW0_910
          | (| XW0_910 := (XW0_929 when CLK_XW0_929) default (XW0_972 when CLK_4878) |)
          |)
       | (| CLK_XW0_749 := CLK_XW0_768 ^+ CLK_XW0_811
          | CLK_XW0_749 ^= XW0_749
          | (| XW0_749 := (XW0_768 when CLK_XW0_768) default (XW0_811 when CLK_4870) |)
          |)
       | (| CLK_XW0_586 := CLK_XW0_605 ^+ CLK_XW0_649
          | CLK_XW0_586 ^= XW0_586
          | (| XW0_586 := (XW0_605 when CLK_XW0_605) default (XW0_649 when CLK_4864) |)
          |)
       | (| CLK_XW0 := CLK_XW0_3 ^+ CLK_XW0_6
          | CLK_XW0 ^= XW0
          | (| XW0 := (XW0_3 when CLK_XW0_3) default (XW0_6 when CLK_4856) |)
          |)
       | (| CLK_DX := CLK_DX_1 ^+ CLK_DX_4
          | CLK_DX ^= LGW ^= NXW
          | ACT_CLK_DX{}
          |)
       | (| CLK_XW := CLK_DX ^+ CLK_XW0
          | CLK_XW ^= ZXW
          | ACT_CLK_XW{}
          |)
       | (| CLK_4161 := CLK_XW ^+ HV_1554 |)
       | (| CLK_DX_584 := CLK_DX_603 ^+ CLK_DX_647
          | CLK_DX_584 ^= LGW_585 ^= NXW_714
          | ACT_CLK_DX_584{}
          |)
       | (| CLK_XW_715 := CLK_DX_584 ^+ CLK_XW0_586
          | CLK_XW_715 ^= ZXW_716
          | ACT_CLK_XW_715{}
          |)
       | (| CLK_4182 := CLK_XW_715 ^+ HV_1554 |)
       | (| CLK_DX_747 := CLK_DX_766 ^+ CLK_DX_809
          | CLK_DX_747 ^= LGW_748 ^= NXW_875
          | ACT_CLK_DX_747{}
          |)
       | (| CLK_XW_876 := CLK_DX_747 ^+ CLK_XW0_749
          | CLK_XW_876 ^= ZXW_877
          | ACT_CLK_XW_876{}
          |)
       | (| CLK_4203 := CLK_XW_876 ^+ HV_1554 |)
       | (| CLK_DX_908 := CLK_DX_927 ^+ CLK_DX_970
          | CLK_DX_908 ^= LGW_909 ^= NXW_1036
          | ACT_CLK_DX_908{}
          |)
       | (| CLK_XW_1037 := CLK_DX_908 ^+ CLK_XW0_910
          | CLK_XW_1037 ^= ZXW_1038
          | ACT_CLK_XW_1037{}
          |)
       | (| CLK_4224 := CLK_XW_1037 ^+ HV_1554 |)
       | (| CLK_DX_1069 := CLK_DX_1088 ^+ CLK_DX_1131
          | CLK_DX_1069 ^= LGW_1070 ^= NXW_1197
          | ACT_CLK_DX_1069{}
          |)
       | (| CLK_XW_1198 := CLK_DX_1069 ^+ CLK_XW0_1071
          | CLK_XW_1198 ^= ZXW_1199
          | ACT_CLK_XW_1198{}
          |)
       | (| CLK_4245 := CLK_XW_1198 ^+ HV_1554 |)
       | (| CLK_DX_1963 := CLK_DX_1982 ^+ CLK_DX_2028
          | CLK_DX_1963 ^= LGW_1964 ^= NXW_2098
          | ACT_CLK_DX_1963{}
          |)
       | (| CLK_XW_2099 := CLK_DX_1963 ^+ CLK_XW0_1965
          | CLK_XW_2099 ^= ZXW_2100
          | ACT_CLK_XW_2099{}
          |)
       | (| CLK_4266 := CLK_XW_2099 ^+ HV_3093 |)
       | (| CLK_DX_2131 := CLK_DX_2150 ^+ CLK_DX_2193
          | CLK_DX_2131 ^= LGW_2132 ^= NXW_2260
          | ACT_CLK_DX_2131{}
          |)
       | (| CLK_XW_2261 := CLK_DX_2131 ^+ CLK_XW0_2133
          | CLK_XW_2261 ^= ZXW_2262
          | ACT_CLK_XW_2261{}
          |)
       | (| CLK_4287 := CLK_XW_2261 ^+ HV_3093 |)
       | (| CLK_DX_2293 := CLK_DX_2312 ^+ CLK_DX_2354
          | CLK_DX_2293 ^= LGW_2294 ^= NXW_2420
          | ACT_CLK_DX_2293{}
          |)
       | (| CLK_XW_2421 := CLK_DX_2293 ^+ CLK_XW0_2295
          | CLK_XW_2421 ^= ZXW_2422
          | ACT_CLK_XW_2421{}
          |)
       | (| CLK_4308 := CLK_XW_2421 ^+ HV_3093 |)
       | (| CLK_DX_2453 := CLK_DX_2472 ^+ CLK_DX_2514
          | CLK_DX_2453 ^= LGW_2454 ^= NXW_2580
          | ACT_CLK_DX_2453{}
          |)
       | (| CLK_XW_2581 := CLK_DX_2453 ^+ CLK_XW0_2455
          | CLK_XW_2581 ^= ZXW_2582
          | ACT_CLK_XW_2581{}
          |)
       | (| CLK_4329 := CLK_XW_2581 ^+ HV_3093 |)
       | (| CLK_DX_2613 := CLK_DX_2632 ^+ CLK_DX_2674
          | CLK_DX_2613 ^= LGW_2614 ^= NXW_2740
          | ACT_CLK_DX_2613{}
          |)
       | (| CLK_XW_2741 := CLK_DX_2613 ^+ CLK_XW0_2615
          | CLK_XW_2741 ^= ZXW_2742
          | ACT_CLK_XW_2741{}
          |)
       | (| CLK_4350 := CLK_XW_2741 ^+ HV_3093 |)
       | (| CLK_4358 := STOP1 ^+ LIREV1 |)
       | (| CLK_4364 := STOP2 ^+ LIREV2 |)
       | (| CLK_L_1479 := DEMARRAGE ^+ LIRELW
          | CLK_L_1479 ^= L_1479
          | (| L_1479 := (LW1 when LIRELW) cell CLK_L_1479 init 10.0e0 |)
          |)
       | (| CLK_L_1552 := DEMARRAGE_1553 ^+ LIRELW
          | CLK_L_1552 ^= L_1552
          | (| L_1552 := (LW1 when LIRELW) cell CLK_L_1552 init 10.0e0 |)
          |)
       | (| CLK_4372 := CLK_L_1479 ^+ LIRENW |)
       | (| CLK_4374 := CLK_L_1552 ^+ LIRENW |)
       | (| CLK_N := DEMARRAGE ^+ LIRENW
          | CLK_N ^= N
          | (| N := (NW1 when LIRENW) cell CLK_N init 10 |)
          |)
       | (| CLK_N_1549 := DEMARRAGE_1553 ^+ LIRENW
          | CLK_N_1549 ^= N_1549
          | (| N_1549 := (NW1 when LIRENW) cell CLK_N_1549 init 10 |)
          |)
       | (| CLK_4387 := CLK_4374 ^+ HV_1554 |)
       | (| CLK_4391 := CLK_4372 ^+ HV |)
       | (| CLK_4394 := STOP1_2795 ^+ LIREV1_6652 |)
       | (| CLK_4396 := STOP2_2796 ^+ LIREV2_6653 |)
       | (| CLK_L_3018 := DEMARRAGE_3019 ^+ LIRELW_6654
          | CLK_L_3018 ^= L_3018
          | (| L_3018 := (LW2 when LIRELW_6654) cell CLK_L_3018 init 10.0e0 |)
          |)
       | (| CLK_L_3091 := DEMARRAGE_3092 ^+ LIRELW_6654
          | CLK_L_3091 ^= L_3091
          | (| L_3091 := (LW2 when LIRELW_6654) cell CLK_L_3091 init 10.0e0 |)
          |)
       | (| CLK_4406 := CLK_L_3018 ^+ LIRENW_6655 |)
       | (| CLK_4408 := CLK_L_3091 ^+ LIRENW_6655 |)
       | (| CLK_N_3015 := DEMARRAGE_3019 ^+ LIRENW_6655
          | CLK_N_3015 ^= N_3015
          | (| N_3015 := (NW2 when LIRENW_6655) cell CLK_N_3015 init 10 |)
          |)
       | (| CLK_N_3088 := DEMARRAGE_3092 ^+ LIRENW_6655
          | CLK_N_3088 ^= N_3088
          | (| N_3088 := (NW2 when LIRENW_6655) cell CLK_N_3088 init 10 |)
          |)
       | (| CLK_4421 := CLK_4408 ^+ HV_3093 |)
       | (| CLK_4425 := CLK_4406 ^+ HV_3020 |)
       | (| CLK_4448 := T1S40 ^* T1S30 |)
       | (| CLK_4450 := T1S30 ^* T1S20 |)
       | (| CLK_4452 := T1S20 ^* T1S10 |)
       | (| CLK_4454 := T2S10 ^* T2S20 |)
       | (| CLK_4456 := T2S20 ^* T2S30 |)
       | (| CLK_4458 := T2S30 ^* T2S40 |)
       | (| CLK_4460 := CLK_XW0 ^+ T1S40 |)
       | (| CLK_N_4148 := T1S40 ^+ T1S30
          | ACT_CLK_N_4148{}
          |)
       | (| CLK_4464 := CLK_XW0_586 ^+ T1S41 |)
       | (| HN_5152 := HMOD100 ^+ T1S41
          | ACT_HN_5152{}
          |)
       | (| CLK_4468 := CLK_XW0_749 ^+ T1S30 |)
       | (| CLK_N_4176 := T1S30 ^+ T1S20
          | ACT_CLK_N_4176{}
          |)
       | (| CLK_4472 := CLK_XW0_910 ^+ T1S20 |)
       | (| CLK_N_4204 := T1S20 ^+ T1S10
          | ACT_CLK_N_4204{}
          |)
       | (| CLK_4476 := CLK_XW0_1071 ^+ T1S10 |)
       | (| CLK_4478 := CLK_XW0_1965 ^+ T2S10 |)
       | (| CLK_N_4263 := T2S10 ^+ T2S20
          | ACT_CLK_N_4263{}
          |)
       | (| CLK_4482 := CLK_XW0_2133 ^+ T2S11 |)
       | (| HN := HMOD100 ^+ T2S11
          | ACT_HN{}
          |)
       | (| CLK_4486 := CLK_XW0_2295 ^+ T2S20 |)
       | (| CLK_N_4291 := T2S20 ^+ T2S30
          | ACT_CLK_N_4291{}
          |)
       | (| CLK_4490 := CLK_XW0_2455 ^+ T2S30 |)
       | (| CLK_N_4319 := T2S30 ^+ T2S40
          | ACT_CLK_N_4319{}
          |)
       | (| CLK_4494 := CLK_XW0_2615 ^+ T2S40 |)
       | (| CLK_4497 := CLK_N_4319 ^+ T2S20 |)
       | (| CLK_4499 := CLK_4497 ^+ T2S11 |)
       | (| CLK_4501 := CLK_4499 ^+ T2S10 |)
       | (| CLK_4503 := CLK_4501 ^+ T1S10 |)
       | (| CLK_4505 := CLK_4503 ^+ T1S20 |)
       | (| CLK_4507 := CLK_4505 ^+ T1S30 |)
       | (| CLK_4509 := CLK_4507 ^+ T1S41 |)
       | (| CLK_4511 := CLK_4509 ^+ T1S40 |)
       | (| CLK_4521 := CLK_N_4263 ^+ CLK_4497 |)
       | (| CLK_4523 := CLK_N_4204 ^+ T1S30 |)
       | (| CLK_4525 := CLK_4523 ^+ T1S41 |)
       | (| CLK_4527 := CLK_4525 ^+ T1S40 |)
       | (| CLK_4537 := CLK_N_4148 ^+ CLK_4523 |)
       | (| TOP := HMOD100 ^* CLK_2585 |)
       | (| TOP_5101 := HMOD100 ^* CLK_3067 |)
       | (| CLK_PASSANT_5118 := TOP_5101 ^+ T1S40
          | ACT_CLK_PASSANT_5118{}
          |)
       | (| CLK_PASSANT_5325 := TOP_5101 ^+ T1S41
          | ACT_CLK_PASSANT_5325{}
          |)
       | (| CLK_PASSANT := TOP ^+ T2S10
          | ACT_CLK_PASSANT{}
          |)
       | (| CLK_PASSANT_4709 := TOP ^+ T2S11
          | ACT_CLK_PASSANT_4709{}
          |)
       | (| SORTIE_2_5103 := T1S41 ^* CLK_3190
          | ACT_SORTIE_2_5103{}
          |)
       | (| SORTIE_1_5102 := T1S40 ^* CLK_3036 |)
       | (| SORTIE_2 := T2S11 ^* CLK_2710
          | ACT_SORTIE_2{}
          |)
       | (| SORTIE_1 := T2S10 ^* CLK_2554 |)
       | (| CLK_4571 := SORTIE_2 ^+ SORTIE_1 |)
       | (| CLK_4577 := CLK_PASSANT_4709 ^+ MONTER_1 |)
       | (| CLK_4584 := SORTIE_2_5103 ^+ SORTIE_1_5102 |)
       | (| CLK_4590 := CLK_PASSANT_5325 ^+ MONTER_4 |)
       | (| HN_5236 := COMPTER_5203 ^+ CLK_4584
          | HN_5236 ^= N_5234
          | ACT_HN_5236{}
          |)
       | (| HN_4610 := COMPTER ^+ CLK_4571
          | HN_4610 ^= N_4608
          | ACT_HN_4610{}
          |)
       | (| CLK_4605 := T1S41 ^+ CLK_3053 |)
       | (| CLK_4607 := T2S11 ^+ CLK_2571 |)
       | (| CLK_4609 := CLK_EST ^+ CLK_CENTRE |)
       | (| CLK_4611 := CLK_TS2C ^+ CLK_TS2W |)
       | (| CLK_4613 := CLK_TS2E ^+ CLK_TS2C |)
       | (| HN_4651 := HMOD100 ^+ CLK_N0_4621
          | ACT_HN_4651{}
          |)
       | (| HN_5275 := HMOD100 ^+ CLK_N0_5247
          | ACT_HN_5275{}
          |)
       | (| CLK_4621 := CLK_4613 ^+ CLK_TS2W |)
       | (| CLK_4624 := CLK_4621 ^+ CLK_EST |)
       | (| CLK_4626 := CLK_4624 ^+ CLK_CENTRE |)
       | (| CLK_4628 := CLK_4626 ^+ CLK_OCCUPE |)
       | (| CLK_4637 := CLK_4609 ^+ CLK_OCCUPE |)
       | (| CLK_4646 := CLK_4537 ^+ CLK_4521 |)
       | (| TOP_4622 := HMOD100 ^* CLK_2666 |)
       | (| TOP_5248 := HMOD100 ^* CLK_3148 |)
       | (| DESCENDRE_6 := TOP_5248 ^+ CLK_3164 |)
       | (| DESCENDRE_3 := TOP_4622 ^+ CLK_2682 |)
       | (| F := DESCENDRE_3 ^+ DESCENDRE_6 |)
       | (| CLK_4662 := CLK_N0_4621 ^+ CLK_2652 |)
       | (| T_2 := CLK_2673 ^+ CLK_2676 |)
       | (| CLK_4666 := CLK_N0_5247 ^+ CLK_3134 |)
       | (| T_5 := CLK_3155 ^+ CLK_3158 |)
       | (| CLK_4670 := T_5 ^+ DESCENDRE_6 |)
       | (| CLK_4672 := T_5 ^+ MONTER_4 |)
       | (| CLK_4675 := CLK_4672 ^+ DESCENDRE_6 |)
       | (| CLK_4677 := CLK_4670 ^+ HN_5275 |)
       | (| CLK_4681 := CLK_4677 ^+ SORTIE_2_5103 |)
       | (| CLK_4686 := T_2 ^+ T_5 |)
       | (| CLK_4688 := T_2 ^+ DESCENDRE_3 |)
       | (| CLK_4690 := T_2 ^+ MONTER_1 |)
       | (| CLK_4693 := CLK_4690 ^+ DESCENDRE_3 |)
       | (| CLK_4695 := CLK_4688 ^+ HN_4651 |)
       | (| CLK_4699 := CLK_4695 ^+ SORTIE_2 |)
       | (| CLK_4703 := CLK_4686 ^+ MONTER_4 |)
       | (| HN_5385 := CLK_4703 ^+ MONTER_1
          | ACT_HN_5385{}
          |)
       | (| CLK_PASSANT_5433 := F ^+ OUVRIR
          | ACT_CLK_PASSANT_5433{}
          |)
       | (| FERMER := F ^* CLK_3281 |)
       | (| CLK_4719 := FERMER ^+ OUVRIR |)
       | (| CLK_4722 := CLK_PASSANT_5433 ^+ HN_5385 |)
       | (| CLK_4730 := HN_5385 ^- T_5 |)
       | (| CLK_4732 := HN_5385 ^- T_2 |)
       | (| CLK_4734 := HN_5385 ^- MONTER_4 |)
       | (| CLK_4736 := HN_5385 ^- MONTER_1 |)
       | (| CLK_4738 := T_2 ^- T_5 |)
       | (| CLK_4740 := F ^- OUVRIR |)
       | (| CLK_4742 := DESCENDRE_3 ^- DESCENDRE_6 |)
       | (| CLK_4744 := TOP_4622 ^- CLK_2682 |)
       | (| CLK_4746 := TOP_5248 ^- CLK_3164 |)
       | (| CLK_4748 := HN_4651 ^- CLK_4662 |)
       | (| CLK_4750 := HN_5275 ^- CLK_4666 |)
       | (| CLK_4752 := HN_4610 ^- SORTIE_1 |)
       | (| CLK_4754 := COMPTER ^- CLK_4571 |)
       | (| CLK_4756 := HN_5236 ^- SORTIE_1_5102 |)
       | (| CLK_4758 := COMPTER_5203 ^- CLK_4584 |)
       | (| CLK_4760 := SORTIE_2_5103 ^- SORTIE_1_5102 |)
       | (| CLK_4762 := SORTIE_2 ^- SORTIE_1 |)
       | (| CLK_4764 := HN_5152 ^- CLK_4605 |)
       | (| CLK_4766 := HN ^- CLK_4607 |)
       | (| CLK_4768 := HACTIF ^- CLK_4435 |)
       | (| CLK_4770 := HACTIF ^- CLK_4358 |)
       | (| CLK_4772 := HACTIF ^- CLK_4364 |)
       | (| CLK_4774 := HACTIF ^- HV |)
       | (| CLK_4776 := HACTIF ^- HV_1554 |)
       | (| CLK_4778 := HACTIF ^- CLK_4394 |)
       | (| CLK_4780 := HACTIF ^- CLK_4396 |)
       | (| CLK_4782 := HACTIF ^- HV_3020 |)
       | (| CLK_4784 := HACTIF ^- HV_3093 |)
       | (| CLK_4786 := HACTIF ^- CLK_4571 |)
       | (| CLK_4788 := HACTIF ^- CLK_4584 |)
       | (| CLK_4792 := HACTIF ^- CLK_4428 |)
       | (| CLK_4802 := LIREV2_6653 ^- STOP2_2796 |)
       | (| CLK_4804 := LIREV1_6652 ^- STOP1_2795 |)
       | (| CLK_4806 := LIREV2 ^- STOP2 |)
       | (| CLK_4808 := LIREV1 ^- STOP1 |)
       | (| CLK_4810 := MONTER_4 ^- CLK_4686 |)
       | (| CLK_4812 := MONTER_1 ^- CLK_4703 |)
       | (| CLK_4816 := CLK_DX_2613 ^- CLK_4494 |)
       | (| CLK_4818 := CLK_DX_2674 ^- CLK_DX_2632 |)
       | (| CLK_4820 := CLK_DX_2453 ^- CLK_4490 |)
       | (| CLK_4822 := CLK_DX_2514 ^- CLK_DX_2472 |)
       | (| CLK_4824 := CLK_DX_2293 ^- CLK_4486 |)
       | (| CLK_4826 := CLK_DX_2354 ^- CLK_DX_2312 |)
       | (| CLK_4828 := CLK_DX_2131 ^- CLK_4482 |)
       | (| CLK_4830 := CLK_DX_2193 ^- CLK_DX_2150 |)
       | (| CLK_4832 := CLK_DX_1963 ^- CLK_4478 |)
       | (| CLK_4834 := CLK_DX_2028 ^- CLK_DX_1982 |)
       | (| CLK_4836 := CLK_DX_1069 ^- CLK_4476 |)
       | (| CLK_4838 := CLK_DX_1131 ^- CLK_DX_1088 |)
       | (| CLK_4840 := CLK_DX_908 ^- CLK_4472 |)
       | (| CLK_4842 := CLK_DX_970 ^- CLK_DX_927 |)
       | (| CLK_4844 := CLK_DX_747 ^- CLK_4468 |)
       | (| CLK_4846 := CLK_DX_809 ^- CLK_DX_766 |)
       | (| CLK_4848 := CLK_DX_584 ^- CLK_4464 |)
       | (| CLK_4850 := CLK_DX_647 ^- CLK_DX_603 |)
       | (| CLK_4852 := CLK_DX ^- CLK_4460 |)
       | (| CLK_4854 := CLK_DX_4 ^- CLK_DX_1 |)
       | (| CLK_4856 := CLK_XW0_6 ^- CLK_XW0_3 |)
       | (| CLK_4858 := T1S40 ^- CLK_XW0 |)
       | (| CLK_4860 := T1S40 ^- CLK_4448 |)
       | (| CLK_4862 := T1S40 ^- TOP_5101 |)
       | (| CLK_4864 := CLK_XW0_649 ^- CLK_XW0_605 |)
       | (| CLK_4866 := T1S41 ^- CLK_XW0_586 |)
       | (| CLK_4868 := T1S41 ^- TOP_5101 |)
       | (| CLK_4870 := CLK_XW0_811 ^- CLK_XW0_768 |)
       | (| CLK_4872 := T1S30 ^- CLK_XW0_749 |)
       | (| CLK_4874 := T1S30 ^- T1S40 |)
       | (| CLK_4876 := T1S30 ^- CLK_4450 |)
       | (| CLK_4878 := CLK_XW0_972 ^- CLK_XW0_929 |)
       | (| CLK_4880 := T1S20 ^- CLK_XW0_910 |)
       | (| CLK_4882 := T1S20 ^- T1S30 |)
       | (| CLK_4884 := T1S20 ^- CLK_4452 |)
       | (| CLK_4886 := CLK_XW0_1133 ^- CLK_XW0_1090 |)
       | (| CLK_4888 := T1S10 ^- CLK_XW0_1071 |)
       | (| CLK_4890 := T1S10 ^- T1S20 |)
       | (| CLK_4892 := HV ^- DEMARRAGE |)
       | (| CLK_4894 := HV ^- STOP1 |)
       | (| CLK_4897 := HV_1554 ^- DEMARRAGE_1553 |)
       | (| CLK_4899 := HV_1554 ^- STOP2 |)
       | (| CLK_4902 := CLK_XW0_2030 ^- CLK_XW0_1984 |)
       | (| CLK_4904 := T2S10 ^- CLK_XW0_1965 |)
       | (| CLK_4906 := T2S10 ^- CLK_4454 |)
       | (| CLK_4908 := T2S10 ^- TOP |)
       | (| CLK_4910 := CLK_XW0_2195 ^- CLK_XW0_2152 |)
       | (| CLK_4912 := T2S11 ^- CLK_XW0_2133 |)
       | (| CLK_4914 := T2S11 ^- TOP |)
       | (| CLK_4916 := CLK_XW0_2356 ^- CLK_XW0_2314 |)
       | (| CLK_4918 := T2S20 ^- CLK_XW0_2295 |)
       | (| CLK_4920 := T2S20 ^- T2S10 |)
       | (| CLK_4922 := T2S20 ^- CLK_4456 |)
       | (| CLK_4924 := CLK_XW0_2516 ^- CLK_XW0_2474 |)
       | (| CLK_4926 := T2S30 ^- CLK_XW0_2455 |)
       | (| CLK_4928 := T2S30 ^- T2S20 |)
       | (| CLK_4930 := T2S30 ^- CLK_4458 |)
       | (| CLK_4932 := CLK_XW0_2676 ^- CLK_XW0_2634 |)
       | (| CLK_4934 := T2S40 ^- CLK_XW0_2615 |)
       | (| CLK_4936 := T2S40 ^- T2S30 |)
       | (| CLK_4938 := HV_3020 ^- DEMARRAGE_3019 |)
       | (| CLK_4940 := HV_3020 ^- STOP1_2795 |)
       | (| CLK_4943 := HV_3093 ^- DEMARRAGE_3092 |)
       | (| CLK_4945 := HV_3093 ^- STOP2_2796 |)
       | (| CLK_4972 := CLK_2571 ^- T2S11 |)
       | (| CLK_4974 := CLK_2652 ^- CLK_N0_4621 |)
       | (| CLK_4976 := CLK_2676 ^- CLK_2673 |)
       | (| CLK_4978 := CLK_3053 ^- T1S41 |)
       | (| CLK_4980 := CLK_3134 ^- CLK_N0_5247 |)
       | (| CLK_4982 := CLK_3158 ^- CLK_3155 |)
       | (| CLK_4984 := HMOD100 ^- CLK_N0_5247 |)
       | (| CLK_4986 := HMOD100 ^- T1S41 |)
       | (| CLK_4988 := HMOD100 ^- CLK_N0_4621 |)
       | (| CLK_4990 := HMOD100 ^- T2S11 |)
       | (| CLK_5006 := CLK_4852 ^+ CLK_4858 |)
       | (| CLK_5008 := CLK_4848 ^+ CLK_4866 |)
       | (| CLK_5010 := CLK_4844 ^+ CLK_4872 |)
       | (| CLK_5012 := CLK_4840 ^+ CLK_4880 |)
       | (| CLK_5014 := CLK_4836 ^+ CLK_4888 |)
       | (| CLK_5016 := CLK_4832 ^+ CLK_4904 |)
       | (| CLK_5018 := CLK_4828 ^+ CLK_4912 |)
       | (| CLK_5020 := CLK_4824 ^+ CLK_4918 |)
       | (| CLK_5022 := CLK_4820 ^+ CLK_4926 |)
       | (| CLK_5024 := CLK_4816 ^+ CLK_4934 |)
       | (| CLK_5074 := HMOD100 ^+ OUVRIR |)
       | (| CLK_5078 := HMOD100 ^+ FERMER |)
       | (| CLK_5126 := CLK_2682 ^+ CLK_3164 |)
       | (| CLK_5128 := CLK_5126 ^* CLK_3281 |)
       | (| CLK_5134 := HMOD40 ^+ FERMER |)
       | (| CLK_5157 := CLK_2124 ^* CLK_2127 |)
       | (| CLK_5159 := CLK_2124 ^* CLK_2128 |)
       | (| CLK_DP_3740 := CLK_2124 ^* HMOD40
          | ACT_CLK_DP_3740{}
          |)
       | (| CLK_5163 := CLK_1950 ^* CLK_1953 |)
       | (| CLK_5165 := CLK_1950 ^* CLK_1954 |)
       | (| CLK_DP := CLK_1950 ^* HMOD40
          | ACT_CLK_DP{}
          |)
       | (| CLK_5169 := HMOD100 ^+ L2CO |)
       | (| CLK_5171 := HMOD100 ^+ L1CO |)
       | (| L1CS := FERMER ^+ B1SD |)
       | (| L2CS := FERMER ^+ B2SD |)
       | (| CLK_5177 := L2CO ^+ CLK_4438 |)
       | (| CLK_5179 := L1CO ^+ CLK_4431 |)
       | (| CLK_5181 := B1SD ^+ EB2C |)
       | (| HN_4974 := CLK_5074 ^+ L2CO
          | ACT_HN_4974{}
          |)
       | (| CLK_5185 := L2CO ^+ OUVRIR |)
       | (| HN_5044 := CLK_5078 ^+ B2SD
          | ACT_HN_5044{}
          |)
       | (| HN_4801 := CLK_5074 ^+ L1CO
          | ACT_HN_4801{}
          |)
       | (| CLK_5191 := L1CO ^+ OUVRIR |)
       | (| HN_4873 := CLK_5078 ^+ B1SD
          | ACT_HN_4873{}
          |)
       | (| CLK_5195 := CLK_5128 ^+ B2SD |)
       | (| HN_5009 := HMOD100 ^+ B2SD
          | ACT_HN_5009{}
          |)
       | (| CLK_5199 := CLK_5128 ^+ B1SD |)
       | (| HN_4837 := HMOD100 ^+ B1SD
          | ACT_HN_4837{}
          |)
       | (| CLK_5210 := CLK_5181 ^+ L1CO |)
       | (| FIN_MV_3821 := CLK_5179 ^+ B1SD |)
       | (| CLK_5214 := FIN_MV_3821 ^+ REPARER1 |)
       | (| FIN_MV := CLK_5177 ^+ B2SD |)
       | (| CLK_5218 := FIN_MV ^+ REPARER2 |)
       | (| CLK_5220 := L2CS ^+ L2CO |)
       | (| CLK_5222 := L2CS ^+ CLK_2990 |)
       | (| CLK_5224 := L1CS ^+ L1CO |)
       | (| CLK_5226 := L1CS ^+ CLK_2846 |)
       | (| EB1U := HMOD100 ^* CLK_2788 |)
       | (| L1CH := HMOD100 ^* CLK_2824 |)
       | (| EB1D := HMOD100 ^* CLK_2857 |)
       | (| EB2U := HMOD100 ^* CLK_2932 |)
       | (| L2CH := HMOD100 ^* CLK_2968 |)
       | (| EB2D := HMOD100 ^* CLK_3001 |)
       | (| B2CD := EB2D ^+ FERMER |)
       | (| CLK_T2_6261 := EB2D ^+ EB2C
          | ACT_CLK_T2_6261{}
          |)
       | (| CLK_5247 := EB2D ^+ B2SD |)
       | (| CLK_5249 := CLK_5247 ^+ CLK_2957 |)
       | (| CLK_5251 := B2CD ^+ CLK_5220 |)
       | (| CLK_5253 := B2CD ^+ L2CS |)
       | (| CLK_5256 := HN_5044 ^+ HN_4974 |)
       | (| CLK_5258 := HN_5044 ^+ CLK_5074 |)
       | (| CLK_5260 := L2CH ^+ CLK_5220 |)
       | (| CLK_TSTABLE_5657 := L2CH ^+ L2CO
          | CLK_TSTABLE_5657 ^= TSTABLE_5657
          | (| TSTABLE_5657 := L2CH default (not CLK_5658) |)
          |)
       | (| HACTIF_5674 := L2CH ^+ CLK_5134
          | ACT_HACTIF_5674{}
          |)
       | (| CLK_5266 := L2CH ^+ FERMER |)
       | (| CLK_5268 := L2CH ^+ HMOD40 |)
       | (| CLK_5279 := CLK_5260 ^+ L1CO |)
       | (| CLK_5281 := CLK_5279 ^+ L1CS |)
       | (| CLK_5283 := EB2U ^+ CLK_T2_6261 |)
       | (| CLK_5285 := EB2U ^+ EB2D |)
       | (| CLK_T1_6260 := EB2U ^+ EB2C
          | ACT_CLK_T1_6260{}
          |)
       | (| B2CU := EB2U ^+ OUVRIR |)
       | (| CLK_5291 := B2CU ^+ CLK_5251 |)
       | (| CLK_5293 := B2CU ^+ CLK_5253 |)
       | (| COMMANDE := B2CU ^+ B2CD |)
       | (| CLK_5297 := B2CU ^+ FERMER |)
       | (| CLK_5299 := CLK_5297 ^+ EB2C |)
       | (| CLK_5302 := CLK_5291 ^+ L2CH |)
       | (| CLK_5305 := COMMANDE ^+ CLK_5218 |)
       | (| FIN_DEF := COMMANDE ^+ REPARER2 |)
       | (| CLK_5311 := COMMANDE ^* CLK_2084 |)
       | (| CLK_5313 := CLK_5311 ^+ FIN_MV |)
       | (| DEB_MV := CLK_5311 ^+ REPARER2 |)
       | (| CLK_5317 := CLK_5311 ^+ EB2C |)
       | (| CLK_5319 := CLK_5311 ^+ L2CO |)
       | (| CLK_5321 := DEB_MV ^+ FIN_MV |)
       | (| CLK_5326 := FIN_DEF ^+ DEFAILLANCE2 |)
       | (| CLK_5328 := FIN_DEF ^* CLK_2084 |)
       | (| CLK_5333 := CLK_5285 ^+ CLK_5313 |)
       | (| CLK_5337 := CLK_5283 ^+ B2CD |)
       | (| CLK_5342 := CLK_5291 ^+ EB1C |)
       | (| CLK_5348 := CLK_5302 ^+ EB1C |)
       | (| CLK_5359 := EB1D ^+ CLK_5348 |)
       | (| CLK_5361 := EB1D ^+ CLK_5342 |)
       | (| B1CD := EB1D ^+ FERMER |)
       | (| CLK_T2_6096 := EB1D ^+ EB1C
          | ACT_CLK_T2_6096{}
          |)
       | (| CLK_5368 := EB1D ^+ B1SD |)
       | (| CLK_5370 := CLK_5368 ^+ CLK_2813 |)
       | (| CLK_5372 := B1CD ^+ CLK_5224 |)
       | (| CLK_5374 := B1CD ^+ L1CS |)
       | (| CLK_5377 := HN_4873 ^+ HN_4801 |)
       | (| CLK_5379 := HN_4873 ^+ CLK_5074 |)
       | (| CLK_5381 := L1CH ^+ CLK_5281 |)
       | (| CLK_TSTABLE := L1CH ^+ L1CO
          | CLK_TSTABLE ^= TSTABLE
          | (| TSTABLE := L1CH default (not CLK_5642) |)
          |)
       | (| HACTIF_5552 := L1CH ^+ CLK_5134
          | ACT_HACTIF_5552{}
          |)
       | (| CLK_5387 := L1CH ^+ FERMER |)
       | (| CLK_5389 := L1CH ^+ HMOD40 |)
       | (| CLK_5397 := HACTIF_5552 ^+ HACTIF_5674 |)
       | (| CLK_5399 := CLK_TSTABLE ^+ L1CS |)
       | (| CLK_5403 := CLK_5381 ^+ EB2D |)
       | (| CLK_5407 := CLK_5403 ^+ EB2U |)
       | (| CLK_5411 := CLK_5407 ^+ EB1D |)
       | (| CLK_5415 := EB1U ^+ CLK_5411 |)
       | (| CLK_5417 := EB1U ^+ CLK_5359 |)
       | (| CLK_5419 := EB1U ^+ CLK_5361 |)
       | (| CLK_5421 := EB1U ^+ CLK_T2_6096 |)
       | (| CLK_5423 := EB1U ^+ EB1D |)
       | (| CLK_T1_6095 := EB1U ^+ EB1C
          | ACT_CLK_T1_6095{}
          |)
       | (| B1CU := EB1U ^+ OUVRIR |)
       | (| CLK_5429 := B1CU ^+ CLK_5372 |)
       | (| CLK_5431 := B1CU ^+ CLK_5374 |)
       | (| COMMANDE_3954 := B1CU ^+ B1CD |)
       | (| CLK_5435 := B1CU ^+ FERMER |)
       | (| CLK_5437 := CLK_5435 ^+ EB1C |)
       | (| CLK_5440 := CLK_5429 ^+ L1CH |)
       | (| CLK_5443 := COMMANDE_3954 ^+ CLK_5214 |)
       | (| CLK_5445 := COMMANDE_3954 ^+ FIN_MV_3821 |)
       | (| FIN_DEF_3819 := COMMANDE_3954 ^+ REPARER1 |)
       | (| CLK_5450 := COMMANDE_3954 ^* CLK_2254 |)
       | (| CLK_5452 := CLK_5450 ^+ FIN_MV_3821 |)
       | (| DEB_MV_3820 := CLK_5450 ^+ REPARER1 |)
       | (| CLK_5456 := CLK_5450 ^+ EB1C |)
       | (| CLK_5458 := CLK_5450 ^+ L1CO |)
       | (| CLK_5460 := DEB_MV_3820 ^+ FIN_MV_3821 |)
       | (| CLK_5465 := FIN_DEF_3819 ^+ DEFAILLANCE1 |)
       | (| CLK_5467 := FIN_DEF_3819 ^* CLK_2254 |)
       | (| CLK_5473 := CLK_5423 ^+ CLK_5452 |)
       | (| CLK_5475 := CLK_5423 ^+ FIN_MV_3821 |)
       | (| CLK_5478 := CLK_5421 ^+ CLK_5283 |)
       | (| CLK_5480 := CLK_5478 ^+ CLK_5397 |)
       | (| CLK_5482 := CLK_5478 ^+ CLK_4621 |)
       | (| CLK_5484 := CLK_5482 ^+ CLK_5397 |)
       | (| CLK_5486 := CLK_5482 ^+ CLK_4637 |)
       | (| CLK_5488 := CLK_5486 ^+ CLK_5397 |)
       | (| CLK_5493 := CLK_5421 ^+ B1CD |)
       | (| CLK_5504 := CLK_5377 ^+ CLK_5256 |)
       | (| CLK_5516 := CLK_5417 ^+ L1CH |)
       | (| CLK_5518 := CLK_5516 ^+ CLK_TS2W |)
       | (| CLK_5520 := CLK_5518 ^+ CLK_TS2C |)
       | (| CLK_5522 := CLK_5520 ^+ CLK_TS2E |)
       | (| CLK_5524 := CLK_5522 ^+ CLK_EST |)
       | (| CLK_5526 := CLK_5524 ^+ CLK_CENTRE |)
       | (| CLK_5528 := CLK_5526 ^+ CLK_OCCUPE |)
       | (| CLK_5536 := CLK_5415 ^+ CLK_TS2E |)
       | (| CLK_5538 := CLK_5536 ^+ CLK_TS2C |)
       | (| CLK_5540 := CLK_5538 ^+ CLK_TS2W |)
       | (| CLK_5542 := CLK_5540 ^+ CLK_EST |)
       | (| CLK_5544 := CLK_5542 ^+ CLK_CENTRE |)
       | (| CLK_5546 := CLK_5544 ^+ CLK_OCCUPE |)
       | (| HCLIGNO_5658 := HMOD40 ^* CLK_3390
          | HCLIGNO_5658 ^= TCLIGNO_5659
          | ACT_HCLIGNO_5658{}
          |)
       | (| HCLIGNO := HMOD40 ^* CLK_3328
          | HCLIGNO ^= TCLIGNO
          | ACT_HCLIGNO{}
          |)
       | (| CLK_T_5532 := HCLIGNO ^+ CLK_TSTABLE
          | ACT_CLK_T_5532{}
          |)
       | (| CLK_T_5656 := HCLIGNO_5658 ^+ CLK_TSTABLE_5657
          | ACT_CLK_T_5656{}
          |)
       | (| CLK_5556 := CLK_5185 ^+ CLK_2921 |)
       | (| CLK_5558 := CLK_5191 ^+ CLK_2777 |)
       | (| CLK_5560 := HCLIGNO_5658 ^- CLK_TSTABLE_5657 |)
       | (| CLK_5562 := HCLIGNO ^- CLK_TSTABLE |)
       | (| CLK_5564 := FIN_DEF_3819 ^- DEFAILLANCE1 |)
       | (| CLK_5566 := CLK_5450 ^- REPARER1 |)
       | (| CLK_5568 := COMMANDE_3954 ^- REPARER1 |)
       | (| CLK_5570 := EB1U ^- OUVRIR |)
       | (| CLK_5572 := CLK_TSTABLE ^- L1CS |)
       | (| CLK_5574 := B1CD ^- B1CU |)
       | (| CLK_5576 := EB1D ^- FERMER |)
       | (| CLK_5578 := FIN_DEF ^- DEFAILLANCE2 |)
       | (| CLK_5580 := CLK_5311 ^- REPARER2 |)
       | (| CLK_5582 := COMMANDE ^- REPARER2 |)
       | (| CLK_5584 := EB2U ^- OUVRIR |)
       | (| CLK_5586 := CLK_TSTABLE_5657 ^- L2CS |)
       | (| CLK_5588 := B2CD ^- B2CU |)
       | (| CLK_5590 := EB2D ^- FERMER |)
       | (| CLK_5592 := FIN_MV ^- DEB_MV |)
       | (| CLK_5594 := FIN_MV_3821 ^- DEB_MV_3820 |)
       | (| CLK_5596 := HN_4974 ^- CLK_5556 |)
       | (| CLK_5598 := HN_4801 ^- CLK_5558 |)
       | (| CLK_5600 := HN_5044 ^- CLK_5222 |)
       | (| CLK_5602 := HN_5009 ^- CLK_5249 |)
       | (| CLK_5604 := HN_4873 ^- CLK_5226 |)
       | (| CLK_5606 := HN_4837 ^- CLK_5370 |)
       | (| CLK_5608 := HMOD40 ^- CLK_5399 |)
       | (| CLK_5610 := HMOD40 ^- CLK_5260 |)
       | (| CLK_5612 := HMOD100 ^- CLK_5191 |)
       | (| CLK_5614 := HMOD100 ^- CLK_5368 |)
       | (| CLK_5616 := HMOD100 ^- L1CS |)
       | (| CLK_5618 := HMOD100 ^- CLK_5185 |)
       | (| CLK_5620 := HMOD100 ^- CLK_5247 |)
       | (| CLK_5622 := HMOD100 ^- L2CS |)
       | (| CLK_5624 := CLK_2990 ^- L2CS |)
       | (| CLK_5626 := CLK_2957 ^- CLK_5247 |)
       | (| CLK_5628 := CLK_2921 ^- CLK_5185 |)
       | (| CLK_5630 := CLK_2846 ^- L1CS |)
       | (| CLK_5632 := CLK_2813 ^- CLK_5368 |)
       | (| CLK_5634 := CLK_2777 ^- CLK_5191 |)
       | (| CLK_5636 := B1SD ^- EB1D |)
       | (| CLK_5638 := B1SD ^- FERMER |)
       | (| CLK_5640 := B1SD ^- CLK_5179 |)
       | (| CLK_5642 := L1CO ^- L1CH |)
       | (| CLK_5644 := L1CO ^- OUVRIR |)
       | (| CLK_5646 := L1CO ^- CLK_4431 |)
       | (| CLK_5648 := EB1C ^- EB1D |)
       | (| CLK_5650 := EB1C ^- EB1U |)
       | (| CLK_5652 := B2SD ^- EB2D |)
       | (| CLK_5654 := B2SD ^- FERMER |)
       | (| CLK_5656 := B2SD ^- CLK_5177 |)
       | (| CLK_5658 := L2CO ^- L2CH |)
       | (| CLK_5660 := L2CO ^- OUVRIR |)
       | (| CLK_5662 := L2CO ^- CLK_4438 |)
       | (| CLK_5664 := EB2C ^- EB2D |)
       | (| CLK_5666 := EB2C ^- EB2U |)
       | (| CLK_5668 := HACTIF ^- CLK_5326 |)
       | (| CLK_5670 := HACTIF ^- COMMANDE |)
       | (| CLK_5672 := HACTIF ^- CLK_5321 |)
       | (| CLK_5674 := HACTIF ^- COMMANDE_3954 |)
       | (| CLK_5676 := HACTIF ^- CLK_5460 |)
       | (| CLK_5678 := HACTIF ^- CLK_5465 |)
       | (| ZX1 := Z_1589$1 init XT1
          | ZX2 := Z_1602$1 init XT1
          | ZXX1 := Z_1615$1 init XT1
          | ZXX2 := Z_1628$1 init XT1
          | VITESSE := (0.0e0 when STOP1) default (V11 when CLK_4808) default (ZVITESSE when CLK_4770)
          | ZVITESSE := VITESSE$1 init 0.0e0
          | VITESSE_1550 := (0.0e0 when STOP2) default (V12 when CLK_4806) default (ZVITESSE_1551 when CLK_4772)
          | ZVITESSE_1551 := VITESSE_1550$1 init 0.0e0
          | Z_1589 := (X1 when HV) default (ZX1 when CLK_4774)
          | Z_1602 := (X2 when HV_1554) default (ZX2 when CLK_4776)
          | Z_1615 := (XX1 when HV) default (ZXX1 when CLK_4774)
          | Z_1628 := (XX2 when HV_1554) default (ZXX2 when CLK_4776)
          | ZX1_2972 := Z_3128$1 init XT1
          | ZX2_2973 := Z_3141$1 init XT1
          | ZXX1_2974 := Z_3154$1 init XT1
          | ZXX2_2975 := Z_3167$1 init XT1
          | VITESSE_3016 := (0.0e0 when STOP1_2795) default (V21 when CLK_4804) default (ZVITESSE_3017 when CLK_4778)
          | ZVITESSE_3017 := VITESSE_3016$1 init 0.0e0
          | VITESSE_3089 := (0.0e0 when STOP2_2796) default (V22 when CLK_4802) default (ZVITESSE_3090 when CLK_4780)
          | ZVITESSE_3090 := VITESSE_3089$1 init 0.0e0
          | Z_3128 := (X_2801 when HV_3020) default (ZX1_2972 when CLK_4782)
          | Z_3141 := (X_2864 when HV_3093) default (ZX2_2973 when CLK_4784)
          | Z_3154 := (XX_2806 when HV_3020) default (ZXX1_2974 when CLK_4782)
          | Z_3167 := (XX_2869 when HV_3093) default (ZXX2_2975 when CLK_4784)
          | XZX := (1 when CLK_1953) default ((-1) when CLK_1954)
          | ACTIF_3550 := PANNE2 default (not CLK_4796) default (ZACTIF_1 when CLK_4768)
          | ZACTIF_1 := ACTIF_3550$1 init false
          | ACTIF_3583 := B2CU default (not CLK_5588) default (POS_THEORIQUE when CLK_5670)
          | POS_THEORIQUE := ACTIF_3583$1 init true
          | ACTIF_3615 := DEFAILLANCE2 default (not CLK_5578) default (ZACTIF_2 when CLK_5668)
          | ZACTIF_2 := ACTIF_3615$1 init false
          | ACTIF_3647 := DEB_MV default (not CLK_5592) default (MOUVEMENT when CLK_5672)
          | MOUVEMENT := ACTIF_3647$1 init false
          | XZX_3744 := (1 when CLK_2127) default ((-1) when CLK_2128)
          | ACTIF_3825 := PANNE1 default (not CLK_4800) default (ZACTIF_3826 when CLK_4792)
          | ZACTIF_3826 := ACTIF_3825$1 init false
          | ACTIF_3857 := B1CU default (not CLK_5574) default (ZACTIF_3858 when CLK_5674)
          | ZACTIF_3858 := ACTIF_3857$1 init true
          | ACTIF_3889 := DEFAILLANCE1 default (not CLK_5564) default (ZACTIF_3890 when CLK_5678)
          | ZACTIF_3890 := ACTIF_3889$1 init false
          | ACTIF_3921 := DEB_MV_3820 default (not CLK_5594) default (ZACTIF_3922 when CLK_5676)
          | ZACTIF_3922 := ACTIF_3921$1 init false
          | ACTIF_4580 := SORTIE_1 default (not CLK_4762) default (ZACTIF_4581 when CLK_4786)
          | ZACTIF_4581 := ACTIF_4580$1 init false
          | ACTIF_5206 := SORTIE_1_5102 default (not CLK_4760) default (ZACTIF_5207 when CLK_4788)
          | ZACTIF_5207 := ACTIF_5206$1 init false
          | N_6489 := (100 when HMOD100) default ((ZN_6490-1) when CLK_3774)
          | ZN_6490 := N_6489$1 init 1
          | N_6509 := (40 when HMOD40) default ((ZN_6510-1) when CLK_3789)
          | ZN_6510 := N_6509$1 init 1
          |)
       |)
      where 
      event CLK_5678, CLK_5676, CLK_5674, CLK_5672, CLK_5670, CLK_5668, CLK_5666, CLK_5664, CLK_5662, CLK_5660, CLK_5658, CLK_5656, CLK_5654, CLK_5652, CLK_5650, CLK_5648, CLK_5646, CLK_5644, CLK_5642, CLK_5640, CLK_5638, CLK_5636, CLK_5634, CLK_5632, 
           CLK_5630, CLK_5628, CLK_5626, CLK_5624, CLK_5622, CLK_5620, CLK_5618, CLK_5616, CLK_5614, CLK_5612, CLK_5610, CLK_5608, CLK_5606, CLK_5604, CLK_5602, CLK_5600, CLK_5598, CLK_5596, CLK_5594, CLK_5592, CLK_5590, CLK_5588, CLK_5586, CLK_5584, 
           CLK_5582, CLK_5580, CLK_5578, CLK_5576, CLK_5574, CLK_5572, CLK_5570, CLK_5568, CLK_5566, CLK_5564, CLK_5562, CLK_5560, CLK_5558, CLK_5556, CLK_T_5656, CLK_T_5532, HCLIGNO, HCLIGNO_5658, CLK_5546, CLK_5544, CLK_5542, CLK_5540, CLK_5538, 
           CLK_5536, CLK_5528, CLK_5526, CLK_5524, CLK_5522, CLK_5520, CLK_5518, CLK_5516, CLK_5504, CLK_5493, CLK_5488, CLK_5486, CLK_5484, CLK_5482, CLK_5480, CLK_5478, CLK_5475, CLK_5473, CLK_5467, CLK_5465, CLK_5460, CLK_5458, CLK_5456, DEB_MV_3820, 
           CLK_5452, CLK_5450, FIN_DEF_3819, CLK_5445, CLK_5443, CLK_5440, CLK_5437, CLK_5435, COMMANDE_3954, CLK_5431, CLK_5429, B1CU, CLK_T1_6095, CLK_5423, CLK_5421, CLK_5419, CLK_5417, CLK_5415, CLK_5411, CLK_5407, CLK_5403, CLK_5399, CLK_5397, 
           CLK_5389, CLK_5387, HACTIF_5552, CLK_TSTABLE, CLK_5381, CLK_5379, CLK_5377, CLK_5374, CLK_5372, CLK_5370, CLK_5368, CLK_T2_6096, B1CD, CLK_5361, CLK_5359, CLK_5348, CLK_5342, CLK_5337, CLK_5333, CLK_5328, CLK_5326, CLK_5321, CLK_5319, CLK_5317, 
           DEB_MV, CLK_5313, CLK_5311, FIN_DEF, CLK_5305, CLK_5302, CLK_5299, CLK_5297, COMMANDE, CLK_5293, CLK_5291, B2CU, CLK_T1_6260, CLK_5285, CLK_5283, CLK_5281, CLK_5279, CLK_5268, CLK_5266, HACTIF_5674, CLK_TSTABLE_5657, CLK_5260, CLK_5258, 
           CLK_5256, CLK_5253, CLK_5251, CLK_5249, CLK_5247, CLK_T2_6261, B2CD, EB2D, L2CH, EB2U, EB1D, L1CH, EB1U, CLK_5226, CLK_5224, CLK_5222, CLK_5220, CLK_5218, FIN_MV, CLK_5214, FIN_MV_3821, CLK_5210, HN_4837, CLK_5199, HN_5009, CLK_5195, HN_4873, 
           CLK_5191, HN_4801, HN_5044, CLK_5185, HN_4974, CLK_5181, CLK_5179, CLK_5177, L2CS, L1CS, CLK_5171, CLK_5169, CLK_DP, CLK_5165, CLK_5163, CLK_DP_3740, CLK_5159, CLK_5157, CLK_5134, CLK_5128, CLK_5126, CLK_5078, CLK_5074, CLK_5024, CLK_5022, 
           CLK_5020, CLK_5018, CLK_5016, CLK_5014, CLK_5012, CLK_5010, CLK_5008, CLK_5006, CLK_4990, CLK_4988, CLK_4986, CLK_4984, CLK_4982, CLK_4980, CLK_4978, CLK_4976, CLK_4974, CLK_4972, CLK_4945, CLK_4943, CLK_4940, CLK_4938, CLK_4936, CLK_4934, 
           CLK_4932, CLK_4930, CLK_4928, CLK_4926, CLK_4924, CLK_4922, CLK_4920, CLK_4918, CLK_4916, CLK_4914, CLK_4912, CLK_4910, CLK_4908, CLK_4906, CLK_4904, CLK_4902, CLK_4899, CLK_4897, CLK_4894, CLK_4892, CLK_4890, CLK_4888, CLK_4886, CLK_4884, 
           CLK_4882, CLK_4880, CLK_4878, CLK_4876, CLK_4874, CLK_4872, CLK_4870, CLK_4868, CLK_4866, CLK_4864, CLK_4862, CLK_4860, CLK_4858, CLK_4856, CLK_4854, CLK_4852, CLK_4850, CLK_4848, CLK_4846, CLK_4844, CLK_4842, CLK_4840, CLK_4838, CLK_4836, 
           CLK_4834, CLK_4832, CLK_4830, CLK_4828, CLK_4826, CLK_4824, CLK_4822, CLK_4820, CLK_4818, CLK_4816, CLK_4812, CLK_4810, CLK_4808, CLK_4806, CLK_4804, CLK_4802, CLK_4800, CLK_4796, CLK_4792, CLK_4788, CLK_4786, CLK_4784, CLK_4782, CLK_4780, 
           CLK_4778, CLK_4776, CLK_4774, CLK_4772, CLK_4770, CLK_4768, CLK_4766, CLK_4764, CLK_4762, CLK_4760, CLK_4758, CLK_4756, CLK_4754, CLK_4752, CLK_4750, CLK_4748, CLK_4746, CLK_4744, CLK_4742, CLK_4740, CLK_4738, CLK_4736, CLK_4734, CLK_4732, 
           CLK_4730, CLK_4722, CLK_4719, FERMER, CLK_PASSANT_5433, HN_5385, CLK_4703, CLK_4699, CLK_4695, CLK_4693, CLK_4690, CLK_4688, CLK_4686, CLK_4681, CLK_4677, CLK_4675, CLK_4672, CLK_4670, T_5, CLK_4666, T_2, CLK_4662, F, DESCENDRE_3, DESCENDRE_6, 
           TOP_5248, TOP_4622, CLK_4646, CLK_4637, CLK_4628, CLK_4626, CLK_4624, CLK_4621, HN_5275, HN_4651, CLK_4613, CLK_4611, CLK_4609, CLK_4607, CLK_4605, HN_4610, HN_5236, CLK_4590, CLK_4584, CLK_4577, CLK_4571, SORTIE_1, SORTIE_2, SORTIE_1_5102, 
           SORTIE_2_5103, CLK_PASSANT_4709, CLK_PASSANT, CLK_PASSANT_5325, CLK_PASSANT_5118, TOP_5101, TOP, CLK_4537, CLK_4527, CLK_4525, CLK_4523, CLK_4521, CLK_4511, CLK_4509, CLK_4507, CLK_4505, CLK_4503, CLK_4501, CLK_4499, CLK_4497, CLK_4494, 
           CLK_N_4319, CLK_4490, CLK_N_4291, CLK_4486, HN, CLK_4482, CLK_N_4263, CLK_4478, CLK_4476, CLK_N_4204, CLK_4472, CLK_N_4176, CLK_4468, HN_5152, CLK_4464, CLK_N_4148, CLK_4460, CLK_4458, CLK_4456, CLK_4454, CLK_4452, CLK_4450, CLK_4448, CLK_4438, 
           CLK_4435, CLK_4431, CLK_4428, CLK_4425, CLK_4421, CLK_N_3088, CLK_N_3015, CLK_4408, CLK_4406, CLK_L_3091, CLK_L_3018, CLK_4396, CLK_4394, CLK_4391, CLK_4387, CLK_N_1549, CLK_N, CLK_4374, CLK_4372, CLK_L_1552, CLK_L_1479, CLK_4364, CLK_4358, 
           CLK_4350, CLK_XW_2741, CLK_DX_2613, CLK_4329, CLK_XW_2581, CLK_DX_2453, CLK_4308, CLK_XW_2421, CLK_DX_2293, CLK_4287, CLK_XW_2261, CLK_DX_2131, CLK_4266, CLK_XW_2099, CLK_DX_1963, CLK_4245, CLK_XW_1198, CLK_DX_1069, CLK_4224, CLK_XW_1037, 
           CLK_DX_908, CLK_4203, CLK_XW_876, CLK_DX_747, CLK_4182, CLK_XW_715, CLK_DX_584, CLK_4161, CLK_XW, CLK_DX, CLK_XW0, CLK_XW0_586, CLK_XW0_749, CLK_XW0_910, CLK_XW0_1071, CLK_4128, CLK_4126, CLK_4121, DEMARRAGE, CLK_4116, CLK_4114, HV, CLK_4108, 
           DEMARRAGE_1553, HV_1554, CLK_XW0_1965, CLK_XW0_2133, CLK_XW0_2295, CLK_XW0_2455, CLK_XW0_2615, CLK_4084, CLK_4082, CLK_4077, DEMARRAGE_3019, CLK_4072, CLK_4070, HV_3020, CLK_4064, DEMARRAGE_3092, HV_3093, EB2C, EB1C, CLK_OCCUPE, CLK_CENTRE, 
           CLK_EST, CLK_TS2W, CLK_TS2C, CLK_TS2E, DEFAILLANCE2, PANNE2, REPARER2, DEFAILLANCE1, PANNE1, REPARER1, LIRENW_6655, LIRELW_6654, LIREV2_6653, LIREV1_6652, LIRENW, LIRELW, LIREV2, LIREV1, CLK_3789, HMOD40, CLK_3774, HMOD100, CLK_3390, CLK_3328, 
           CLK_3281, OUVRIR, MONTER_4, CLK_3190, CLK_3164, CLK_3158, CLK_3155, CLK_3148, CLK_3134, CLK_N0_5247, CLK_3100, COMPTER_5203, CLK_3067, CLK_3053, CLK_3036, CLK_3001, CLK_2990, CLK_2968, CLK_2957, CLK_2932, CLK_2921, CLK_2857, CLK_2846, CLK_2824, 
           CLK_2813, CLK_2788, CLK_2777, MONTER_1, CLK_2710, CLK_2682, CLK_2676, CLK_2673, CLK_2666, CLK_2652, CLK_N0_4621, CLK_2618, COMPTER, CLK_2585, CLK_2571, CLK_2554, CLK_2254, CLK_2253, B1SD, L1CO, CLK_2128, CLK_2127, CLK_2125, CLK_2124, CLK_2084, 
           CLK_2083, B2SD, L2CO, CLK_1954, CLK_1953, CLK_1951, CLK_1950, CLK_1805, CLK_1804, CLK_1797, CLK_1796, CLK_1783, STOP2_2796, CLK_1742, CLK_1741, CLK_1734, CLK_1733, CLK_1720, STOP1_2795, T2S40, CLK_DX_2674, CLK_XW0_2676, CLK_DX_2632, 
           CLK_XW0_2634, T2S30, CLK_DX_2514, CLK_XW0_2516, CLK_DX_2472, CLK_XW0_2474, T2S20, CLK_DX_2354, CLK_XW0_2356, CLK_DX_2312, CLK_XW0_2314, T2S11, CLK_DX_2193, CLK_XW0_2195, CLK_DX_2150, CLK_XW0_2152, T2S10, CLK_DX_2028, CLK_XW0_2030, CLK_DX_1982, 
           CLK_XW0_1984, CLK_882, CLK_881, CLK_874, CLK_873, CLK_860, STOP2, CLK_819, CLK_818, CLK_811, CLK_810, CLK_798, STOP1, T1S10, CLK_DX_1131, CLK_XW0_1133, CLK_DX_1088, CLK_XW0_1090, T1S20, CLK_DX_970, CLK_XW0_972, CLK_DX_927, CLK_XW0_929, T1S30, 
           CLK_DX_809, CLK_XW0_811, CLK_DX_766, CLK_XW0_768, T1S41, CLK_DX_647, CLK_XW0_649, CLK_DX_603, CLK_XW0_605, T1S40, CLK_DX_4, CLK_XW0_6, CLK_DX_1, CLK_XW0_3;
      boolean ACTIF_3550, ZACTIF_1, ACTIF_3583, POS_THEORIQUE, ACTIF_3615, ZACTIF_2, ACTIF_3647, MOUVEMENT, ACTIF_3825, ZACTIF_3826, ACTIF_3857, ZACTIF_3858, ACTIF_3889, ZACTIF_3890, ACTIF_3921, ZACTIF_3922, ACTIF_4580, ZACTIF_4581, ACTIF_5206, 
             ZACTIF_5207, TSTABLE, TCLIGNO, TSTABLE_5657, TCLIGNO_5659;
      integer N, N_1549, N_3015, N_3088, XZX, XZX_3744, N_4608, N0_4621, N_5234, N0_5247, N_6489, ZN_6490, N_6509, ZN_6510;
      real LGW, XW0, DX_1, LGW_2, XW0_3, DX_4, LGW_5, XW0_6, NXW, ZXW, LGW_585, XW0_586, DX_603, LGW_604, XW0_605, DX_647, LGW_648, XW0_649, NXW_714, ZXW_716, LGW_748, XW0_749, DX_766, LGW_767, XW0_768, DX_809, LGW_810, XW0_811, NXW_875, ZXW_877, LGW_909, 
          XW0_910, DX_927, LGW_928, XW0_929, DX_970, LGW_971, XW0_972, NXW_1036, ZXW_1038, LGW_1070, XW0_1071, DX_1088, LGW_1089, XW0_1090, DX_1131, LGW_1132, XW0_1133, NXW_1197, ZXW_1199, X1, XX1, L, X2, XX2, L_1355, ZX1, ZX2, ZXX1, ZXX2, LWAG1, 
          VITESSE, ZVITESSE, L_1479, LWAG2, VITESSE_1550, ZVITESSE_1551, L_1552, Z_1589, Z_1602, Z_1615, Z_1628, LGW_1964, XW0_1965, DX_1982, LGW_1983, XW0_1984, DX_2028, LGW_2029, XW0_2030, NXW_2098, ZXW_2100, LGW_2132, XW0_2133, DX_2150, LGW_2151, 
          XW0_2152, DX_2193, LGW_2194, XW0_2195, NXW_2260, ZXW_2262, LGW_2294, XW0_2295, DX_2312, LGW_2313, XW0_2314, DX_2354, LGW_2355, XW0_2356, NXW_2420, ZXW_2422, LGW_2454, XW0_2455, DX_2472, LGW_2473, XW0_2474, DX_2514, LGW_2515, XW0_2516, NXW_2580, 
          ZXW_2582, LGW_2614, XW0_2615, DX_2632, LGW_2633, XW0_2634, DX_2674, LGW_2675, XW0_2676, NXW_2740, ZXW_2742, X_2801, XX_2806, L_2833, X_2864, XX_2869, L_2896, ZX1_2972, ZX2_2973, ZXX1_2974, ZXX2_2975, LWAG_2978, VITESSE_3016, ZVITESSE_3017, 
          L_3018, LWAG_3052, VITESSE_3089, ZVITESSE_3090, L_3091, Z_3128, Z_3141, Z_3154, Z_3167;
      process ACT_HMOD40 =
           ( )
         (| (| LIREV1 := when HV11
             | LIREV1 ^= V11
             | CLK_3809 := when (not HV11)
             |)
          | (| LIREV2 := when HV12
             | LIREV2 ^= V12
             | CLK_3813 := when (not HV12)
             |)
          | (| LIRELW := when HLW1
             | LIRELW ^= LW1
             | CLK_3817 := when (not HLW1)
             |)
          | (| LIRENW := when HNW1
             | LIRENW ^= NW1
             | CLK_3821 := when (not HNW1)
             |)
          | (| LIREV1_6652 := when HV21
             | LIREV1_6652 ^= V21
             | CLK_3848 := when (not HV21)
             |)
          | (| LIREV2_6653 := when HV22
             | LIREV2_6653 ^= V22
             | CLK_3852 := when (not HV22)
             |)
          | (| LIRELW_6654 := when HLW2
             | LIRELW_6654 ^= LW2
             | CLK_3856 := when (not HLW2)
             |)
          | (| LIRENW_6655 := when HNW2
             | LIRENW_6655 ^= NW2
             | CLK_3860 := when (not HNW2)
             |)
          | (| REPARER1 := when HREPARER1
             | CLK_3886 := when (not HREPARER1)
             |)
          | (| PANNE1 := when HPANNE1
             | CLK_3889 := when (not HPANNE1)
             |)
          | (| DEFAILLANCE1 := when HDEFAILLANCE1
             | CLK_3892 := when (not HDEFAILLANCE1)
             |)
          | (| REPARER2 := when HREPARER2
             | CLK_3910 := when (not HREPARER2)
             |)
          | (| PANNE2 := when HPANNE2
             | CLK_3913 := when (not HPANNE2)
             |)
          | (| DEFAILLANCE2 := when HDEFAILLANCE2
             | CLK_3916 := when (not HDEFAILLANCE2)
             |)
          | (| CLK_4376 := LIRELW ^+ LIRENW |)
          | (| CLK_4382 := CLK_4376 ^+ LIREV2 |)
          | (| CLK_4384 := CLK_4382 ^+ LIREV1 |)
          | (| CLK_4410 := LIRELW_6654 ^+ LIRENW_6655 |)
          | (| CLK_4416 := CLK_4410 ^+ LIREV2_6653 |)
          | (| CLK_4418 := CLK_4416 ^+ LIREV1_6652 |)
          | (| CLK_4428 := REPARER1 ^+ PANNE1 |)
          | (| CLK_4431 := PANNE1 ^+ DEFAILLANCE1 |)
          | (| CLK_4433 := CLK_4431 ^+ REPARER1 |)
          | (| CLK_4435 := REPARER2 ^+ PANNE2 |)
          | (| CLK_4438 := PANNE2 ^+ DEFAILLANCE2 |)
          | (| CLK_4440 := CLK_4438 ^+ REPARER2 |)
          | (| CLK_4442 := CLK_4440 ^+ DEFAILLANCE1 |)
          | (| CLK_4444 := CLK_4442 ^+ PANNE1 |)
          | (| CLK_4446 := CLK_4444 ^+ REPARER1 |)
          | (| CLK_4794 := DEFAILLANCE2 ^- PANNE2 |)
          | (| CLK_4796 := REPARER2 ^- PANNE2 |)
          | (| CLK_4798 := DEFAILLANCE1 ^- PANNE1 |)
          | (| CLK_4800 := REPARER1 ^- PANNE1 |)
          |)
         where 
         event CLK_4798, CLK_4794, CLK_4446, CLK_4444, CLK_4442, CLK_4440, CLK_4433, CLK_4418, CLK_4416, CLK_4410, CLK_4384, CLK_4382, CLK_4376, CLK_3916, CLK_3913, CLK_3910, CLK_3892, CLK_3889, CLK_3886, CLK_3860, CLK_3856, CLK_3852, CLK_3848, CLK_3821, 
              CLK_3817, CLK_3813, CLK_3809;
         end
      %ACT_HMOD40%; 
      process ACT_HV_3093 =
           ( )
         (| HV_3093 ^= ACTIF_2053 ^= ZACTIF_2054 ^= ACTIF_2215 ^= ZACTIF_2216 ^= ACTIF_2375 ^= ZACTIF_2376 ^= ACTIF_2535 ^= ZACTIF_2536 ^= ACTIF_2695 ^= ZACTIF_2696 ^= LWAGONS_2870 ^= ZX_2895 ^= LTRAIN_2897 ^= ZLTRAIN_2898 ^= ZLWAGONS_2899 ^= V_3051 ^= 
            X1_3300 ^= X2_3301 ^= ZX1_3303 ^= ZX2_3304 ^= ZX3_3308 ^= X3_3309
          | (| CLK_XW0_2030 := when (ACTIF_2053 and (not ZACTIF_2054))
             | CLK_XW0_2030 ^= XW0_2030
             | (| XW0_2030 := (X_2864-XT1) when CLK_XW0_2030 |)
             | CLK_1073 := when (not (ACTIF_2053 and (not ZACTIF_2054)))
             |)
          | (| CLK_DX_2028 := when ZACTIF_2054
             | CLK_DX_2028 ^= DX_2028 ^= LGW_2029
             | ACT_CLK_DX_2028{}
             | CLK_1077 := when (not ZACTIF_2054)
             |)
          | (| CLK_XW0_2195 := when (ACTIF_2215 and (not ZACTIF_2216))
             | CLK_XW0_2195 ^= XW0_2195
             | (| XW0_2195 := (X_2864-XT2) when CLK_XW0_2195 |)
             | CLK_1192 := when (not (ACTIF_2215 and (not ZACTIF_2216)))
             |)
          | (| CLK_DX_2193 := when ZACTIF_2216
             | CLK_DX_2193 ^= DX_2193 ^= LGW_2194
             | ACT_CLK_DX_2193{}
             | CLK_1196 := when (not ZACTIF_2216)
             |)
          | (| CLK_XW0_2356 := when (ACTIF_2375 and (not ZACTIF_2376))
             | CLK_XW0_2356 ^= XW0_2356
             | (| XW0_2356 := (X_2864-XT3) when CLK_XW0_2356 |)
             | CLK_1311 := when (not (ACTIF_2375 and (not ZACTIF_2376)))
             |)
          | (| CLK_DX_2354 := when ZACTIF_2376
             | CLK_DX_2354 ^= DX_2354 ^= LGW_2355
             | ACT_CLK_DX_2354{}
             | CLK_1315 := when (not ZACTIF_2376)
             |)
          | (| CLK_XW0_2516 := when (ACTIF_2535 and (not ZACTIF_2536))
             | CLK_XW0_2516 ^= XW0_2516
             | (| XW0_2516 := (X_2864-XT4) when CLK_XW0_2516 |)
             | CLK_1430 := when (not (ACTIF_2535 and (not ZACTIF_2536)))
             |)
          | (| CLK_DX_2514 := when ZACTIF_2536
             | CLK_DX_2514 ^= DX_2514 ^= LGW_2515
             | ACT_CLK_DX_2514{}
             | CLK_1434 := when (not ZACTIF_2536)
             |)
          | (| CLK_XW0_2676 := when (ACTIF_2695 and (not ZACTIF_2696))
             | CLK_XW0_2676 ^= XW0_2676
             | (| XW0_2676 := (X_2864-XT5) when CLK_XW0_2676 |)
             | CLK_1549 := when (not (ACTIF_2695 and (not ZACTIF_2696)))
             |)
          | (| CLK_DX_2674 := when ZACTIF_2696
             | CLK_DX_2674 ^= DX_2674 ^= LGW_2675
             | ACT_CLK_DX_2674{}
             | CLK_1553 := when (not ZACTIF_2696)
             |)
          | (| CLK_4254 := CLK_XW0_2030 ^+ CLK_DX_2028 |)
          | (| CLK_4275 := CLK_XW0_2195 ^+ CLK_DX_2193 |)
          | (| CLK_4296 := CLK_XW0_2356 ^+ CLK_DX_2354 |)
          | (| CLK_4317 := CLK_XW0_2516 ^+ CLK_DX_2514 |)
          | (| CLK_4338 := CLK_XW0_2676 ^+ CLK_DX_2674 |)
          | (| ACTIF_2053 := (X_2864>XT1) and (XX_2869<=(XT1+1.0))
             | ZACTIF_2054 := ACTIF_2053$1 init false
             | ACTIF_2215 := (X_2864>XT2) and (XX_2869<=(XT2+1.0))
             | ZACTIF_2216 := ACTIF_2215$1 init false
             | ACTIF_2375 := (X_2864>XT3) and (XX_2869<=(XT3+1.0))
             | ZACTIF_2376 := ACTIF_2375$1 init false
             | ACTIF_2535 := (X_2864>XT4) and (XX_2869<=(XT4+1.0))
             | ZACTIF_2536 := ACTIF_2535$1 init false
             | ACTIF_2695 := (X_2864>XT5) and (XX_2869<=(XT5+1.0))
             | ZACTIF_2696 := ACTIF_2695$1 init false
             | X_2864 := (XT1 when STOP2_2796) default ((ZX_2895+V_3051) when CLK_4945)
             | XX_2869 := X_2864-LTRAIN_2897
             | LWAGONS_2870 := (LWAG_3052 when DEMARRAGE_3092) default (ZLWAGONS_2899 when CLK_4943)
             | ZX_2895 := X_2864$1 init XT1
             | LTRAIN_2897 := (L_2896 when DEMARRAGE_3092) default (ZLTRAIN_2898 when CLK_4943)
             | ZLTRAIN_2898 := LTRAIN_2897$1 init 100.0e0
             | ZLWAGONS_2899 := LWAGONS_2870$1 init 10.0e0
             | V_3051 := VITESSE_3089 when HV_3093
             | ZX1_3303 := X1_3300$1 init 0
             | ZX2_3304 := X2_3301$1 init 0
             | ZX3_3308 := X3_3309$1 init 0
             | (X1_3300,X2_3301,X3_3309) := DESSINERTRAIN(X_2864,XX_2869,LWAGONS_2870,370 when HV_3093,350 when HV_3093,ZX1_3303,ZX2_3304,ZX3_3308,SENS_1880 when HV_3093)
             |)
          |)
         where 
         event CLK_4338, CLK_4317, CLK_4296, CLK_4275, CLK_4254, CLK_1553, CLK_1549, CLK_1434, CLK_1430, CLK_1315, CLK_1311, CLK_1196, CLK_1192, CLK_1077, CLK_1073;
         integer X1_3300, X2_3301, ZX1_3303, ZX2_3304, ZX3_3308, X3_3309;
         real LWAGONS_2870, ZX_2895, LTRAIN_2897, ZLTRAIN_2898, ZLWAGONS_2899, V_3051;
         boolean ACTIF_2053, ZACTIF_2054, ACTIF_2215, ZACTIF_2216, ACTIF_2375, ZACTIF_2376, ACTIF_2535, ZACTIF_2536, ACTIF_2695, ZACTIF_2696;
         process ACT_CLK_DX_2028 =
              ( )
            (| (| DX_2028 := V_3051 when CLK_DX_2028
                | LGW_2029 := LWAGONS_2870 when CLK_DX_2028
                |) |)
         %ACT_CLK_DX_2028%; 
         process ACT_CLK_DX_2193 =
              ( )
            (| (| DX_2193 := V_3051 when CLK_DX_2193
                | LGW_2194 := LWAGONS_2870 when CLK_DX_2193
                |) |)
         %ACT_CLK_DX_2193%; 
         process ACT_CLK_DX_2354 =
              ( )
            (| (| DX_2354 := V_3051 when CLK_DX_2354
                | LGW_2355 := LWAGONS_2870 when CLK_DX_2354
                |) |)
         %ACT_CLK_DX_2354%; 
         process ACT_CLK_DX_2514 =
              ( )
            (| (| DX_2514 := V_3051 when CLK_DX_2514
                | LGW_2515 := LWAGONS_2870 when CLK_DX_2514
                |) |)
         %ACT_CLK_DX_2514%; 
         process ACT_CLK_DX_2674 =
              ( )
            (| (| DX_2674 := V_3051 when CLK_DX_2674
                | LGW_2675 := LWAGONS_2870 when CLK_DX_2674
                |) |)
         %ACT_CLK_DX_2674%; 
         end
      %ACT_HV_3093%; 
      process ACT_DEMARRAGE_3092 =
           ( )
         (| DEMARRAGE_3092 ^= NWAG_3053
          | (| L_2896 := LWAG_3052*real(NWAG_3053)
             | LWAG_3052 := L_3091 when DEMARRAGE_3092
             | NWAG_3053 := N_3088 when DEMARRAGE_3092
             |)
          |)
         where 
         integer NWAG_3053;
         end
      %ACT_DEMARRAGE_3092%; 
      process ACT_HV_3020 =
           ( )
         (| HV_3020 ^= ACTIF_2007 ^= ZACTIF_2008 ^= ACTIF_2172 ^= ZACTIF_2173 ^= ACTIF_2333 ^= ZACTIF_2334 ^= ACTIF_2493 ^= ZACTIF_2494 ^= ACTIF_2653 ^= ZACTIF_2654 ^= LWAGONS_2807 ^= ZX_2832 ^= LTRAIN_2834 ^= ZLTRAIN_2835 ^= ZLWAGONS_2836 ^= V_2977 ^= 
            X1_3220 ^= X2_3221 ^= ZX1_3223 ^= ZX2_3224 ^= ZX3_3228 ^= X3_3229
          | (| CLK_XW0_1984 := when (ACTIF_2007 and (not ZACTIF_2008))
             | CLK_XW0_1984 ^= XW0_1984
             | (| XW0_1984 := (X_2801-XT1) when CLK_XW0_1984 |)
             | CLK_1040 := when (not (ACTIF_2007 and (not ZACTIF_2008)))
             |)
          | (| CLK_DX_1982 := when ZACTIF_2008
             | CLK_DX_1982 ^= DX_1982 ^= LGW_1983
             | ACT_CLK_DX_1982{}
             | CLK_1044 := when (not ZACTIF_2008)
             |)
          | (| CLK_XW0_2152 := when (ACTIF_2172 and (not ZACTIF_2173))
             | CLK_XW0_2152 ^= XW0_2152
             | (| XW0_2152 := (X_2801-XT2) when CLK_XW0_2152 |)
             | CLK_1159 := when (not (ACTIF_2172 and (not ZACTIF_2173)))
             |)
          | (| CLK_DX_2150 := when ZACTIF_2173
             | CLK_DX_2150 ^= DX_2150 ^= LGW_2151
             | ACT_CLK_DX_2150{}
             | CLK_1163 := when (not ZACTIF_2173)
             |)
          | (| CLK_XW0_2314 := when (ACTIF_2333 and (not ZACTIF_2334))
             | CLK_XW0_2314 ^= XW0_2314
             | (| XW0_2314 := (X_2801-XT3) when CLK_XW0_2314 |)
             | CLK_1278 := when (not (ACTIF_2333 and (not ZACTIF_2334)))
             |)
          | (| CLK_DX_2312 := when ZACTIF_2334
             | CLK_DX_2312 ^= DX_2312 ^= LGW_2313
             | ACT_CLK_DX_2312{}
             | CLK_1282 := when (not ZACTIF_2334)
             |)
          | (| CLK_XW0_2474 := when (ACTIF_2493 and (not ZACTIF_2494))
             | CLK_XW0_2474 ^= XW0_2474
             | (| XW0_2474 := (X_2801-XT4) when CLK_XW0_2474 |)
             | CLK_1397 := when (not (ACTIF_2493 and (not ZACTIF_2494)))
             |)
          | (| CLK_DX_2472 := when ZACTIF_2494
             | CLK_DX_2472 ^= DX_2472 ^= LGW_2473
             | ACT_CLK_DX_2472{}
             | CLK_1401 := when (not ZACTIF_2494)
             |)
          | (| CLK_XW0_2634 := when (ACTIF_2653 and (not ZACTIF_2654))
             | CLK_XW0_2634 ^= XW0_2634
             | (| XW0_2634 := (X_2801-XT5) when CLK_XW0_2634 |)
             | CLK_1516 := when (not (ACTIF_2653 and (not ZACTIF_2654)))
             |)
          | (| CLK_DX_2632 := when ZACTIF_2654
             | CLK_DX_2632 ^= DX_2632 ^= LGW_2633
             | ACT_CLK_DX_2632{}
             | CLK_1520 := when (not ZACTIF_2654)
             |)
          | (| CLK_4250 := CLK_XW0_1984 ^+ CLK_DX_1982 |)
          | (| CLK_4271 := CLK_XW0_2152 ^+ CLK_DX_2150 |)
          | (| CLK_4292 := CLK_XW0_2314 ^+ CLK_DX_2312 |)
          | (| CLK_4313 := CLK_XW0_2474 ^+ CLK_DX_2472 |)
          | (| CLK_4334 := CLK_XW0_2634 ^+ CLK_DX_2632 |)
          | (| ACTIF_2007 := (X_2801>XT1) and (XX_2806<=(XT1+1.0))
             | ZACTIF_2008 := ACTIF_2007$1 init false
             | ACTIF_2172 := (X_2801>XT2) and (XX_2806<=(XT2+1.0))
             | ZACTIF_2173 := ACTIF_2172$1 init false
             | ACTIF_2333 := (X_2801>XT3) and (XX_2806<=(XT3+1.0))
             | ZACTIF_2334 := ACTIF_2333$1 init false
             | ACTIF_2493 := (X_2801>XT4) and (XX_2806<=(XT4+1.0))
             | ZACTIF_2494 := ACTIF_2493$1 init false
             | ACTIF_2653 := (X_2801>XT5) and (XX_2806<=(XT5+1.0))
             | ZACTIF_2654 := ACTIF_2653$1 init false
             | X_2801 := (XT1 when STOP1_2795) default ((ZX_2832+V_2977) when CLK_4940)
             | XX_2806 := X_2801-LTRAIN_2834
             | LWAGONS_2807 := (LWAG_2978 when DEMARRAGE_3019) default (ZLWAGONS_2836 when CLK_4938)
             | ZX_2832 := X_2801$1 init XT1
             | LTRAIN_2834 := (L_2833 when DEMARRAGE_3019) default (ZLTRAIN_2835 when CLK_4938)
             | ZLTRAIN_2835 := LTRAIN_2834$1 init 100.0e0
             | ZLWAGONS_2836 := LWAGONS_2807$1 init 10.0e0
             | V_2977 := VITESSE_3016 when HV_3020
             | ZX1_3223 := X1_3220$1 init 0
             | ZX2_3224 := X2_3221$1 init 0
             | ZX3_3228 := X3_3229$1 init 0
             | (X1_3220,X2_3221,X3_3229) := DESSINERTRAIN(X_2801,XX_2806,LWAGONS_2807,370 when HV_3020,350 when HV_3020,ZX1_3223,ZX2_3224,ZX3_3228,SENS_1880 when HV_3020)
             |)
          |)
         where 
         event CLK_4334, CLK_4313, CLK_4292, CLK_4271, CLK_4250, CLK_1520, CLK_1516, CLK_1401, CLK_1397, CLK_1282, CLK_1278, CLK_1163, CLK_1159, CLK_1044, CLK_1040;
         integer X1_3220, X2_3221, ZX1_3223, ZX2_3224, ZX3_3228, X3_3229;
         real LWAGONS_2807, ZX_2832, LTRAIN_2834, ZLTRAIN_2835, ZLWAGONS_2836, V_2977;
         boolean ACTIF_2007, ZACTIF_2008, ACTIF_2172, ZACTIF_2173, ACTIF_2333, ZACTIF_2334, ACTIF_2493, ZACTIF_2494, ACTIF_2653, ZACTIF_2654;
         process ACT_CLK_DX_1982 =
              ( )
            (| (| DX_1982 := V_2977 when CLK_DX_1982
                | LGW_1983 := LWAGONS_2807 when CLK_DX_1982
                |) |)
         %ACT_CLK_DX_1982%; 
         process ACT_CLK_DX_2150 =
              ( )
            (| (| DX_2150 := V_2977 when CLK_DX_2150
                | LGW_2151 := LWAGONS_2807 when CLK_DX_2150
                |) |)
         %ACT_CLK_DX_2150%; 
         process ACT_CLK_DX_2312 =
              ( )
            (| (| DX_2312 := V_2977 when CLK_DX_2312
                | LGW_2313 := LWAGONS_2807 when CLK_DX_2312
                |) |)
         %ACT_CLK_DX_2312%; 
         process ACT_CLK_DX_2472 =
              ( )
            (| (| DX_2472 := V_2977 when CLK_DX_2472
                | LGW_2473 := LWAGONS_2807 when CLK_DX_2472
                |) |)
         %ACT_CLK_DX_2472%; 
         process ACT_CLK_DX_2632 =
              ( )
            (| (| DX_2632 := V_2977 when CLK_DX_2632
                | LGW_2633 := LWAGONS_2807 when CLK_DX_2632
                |) |)
         %ACT_CLK_DX_2632%; 
         end
      %ACT_HV_3020%; 
      process ACT_DEMARRAGE_3019 =
           ( )
         (| DEMARRAGE_3019 ^= NWAG_2979
          | (| L_2833 := LWAG_2978*real(NWAG_2979)
             | LWAG_2978 := L_3018 when DEMARRAGE_3019
             | NWAG_2979 := N_3015 when DEMARRAGE_3019
             |)
          |)
         where 
         integer NWAG_2979;
         end
      %ACT_DEMARRAGE_3019%; 
      process ACT_HV_1554 =
           ( )
         (| HV_1554 ^= ACTIF_504 ^= ZACTIF_505 ^= ACTIF_669 ^= ZACTIF_670 ^= ACTIF_830 ^= ZACTIF_831 ^= ACTIF_991 ^= ZACTIF_992 ^= ACTIF_1152 ^= ZACTIF_1153 ^= LWAGONS_1329 ^= ZX_1354 ^= LTRAIN_1356 ^= ZLTRAIN_1357 ^= ZLWAGONS_1358 ^= VIT2 ^= X1_1793 ^= 
            X2_1794 ^= ZX1_1796 ^= ZX2_1797 ^= ZX3_1801 ^= X3_1802
          | (| CLK_XW0_6 := when (ACTIF_504 and (not ZACTIF_505))
             | CLK_XW0_6 ^= XW0_6
             | (| XW0_6 := (X2-XT1) when CLK_XW0_6 |)
             | CLK_151 := when (not (ACTIF_504 and (not ZACTIF_505)))
             |)
          | (| CLK_DX_4 := when ZACTIF_505
             | CLK_DX_4 ^= DX_4 ^= LGW_5
             | ACT_CLK_DX_4{}
             | CLK_155 := when (not ZACTIF_505)
             |)
          | (| CLK_XW0_649 := when (ACTIF_669 and (not ZACTIF_670))
             | CLK_XW0_649 ^= XW0_649
             | (| XW0_649 := (X2-XT2) when CLK_XW0_649 |)
             | CLK_270 := when (not (ACTIF_669 and (not ZACTIF_670)))
             |)
          | (| CLK_DX_647 := when ZACTIF_670
             | CLK_DX_647 ^= DX_647 ^= LGW_648
             | ACT_CLK_DX_647{}
             | CLK_274 := when (not ZACTIF_670)
             |)
          | (| CLK_XW0_811 := when (ACTIF_830 and (not ZACTIF_831))
             | CLK_XW0_811 ^= XW0_811
             | (| XW0_811 := (X2-XT3) when CLK_XW0_811 |)
             | CLK_389 := when (not (ACTIF_830 and (not ZACTIF_831)))
             |)
          | (| CLK_DX_809 := when ZACTIF_831
             | CLK_DX_809 ^= DX_809 ^= LGW_810
             | ACT_CLK_DX_809{}
             | CLK_393 := when (not ZACTIF_831)
             |)
          | (| CLK_XW0_972 := when (ACTIF_991 and (not ZACTIF_992))
             | CLK_XW0_972 ^= XW0_972
             | (| XW0_972 := (X2-XT4) when CLK_XW0_972 |)
             | CLK_508 := when (not (ACTIF_991 and (not ZACTIF_992)))
             |)
          | (| CLK_DX_970 := when ZACTIF_992
             | CLK_DX_970 ^= DX_970 ^= LGW_971
             | ACT_CLK_DX_970{}
             | CLK_512 := when (not ZACTIF_992)
             |)
          | (| CLK_XW0_1133 := when (ACTIF_1152 and (not ZACTIF_1153))
             | CLK_XW0_1133 ^= XW0_1133
             | (| XW0_1133 := (X2-XT5) when CLK_XW0_1133 |)
             | CLK_627 := when (not (ACTIF_1152 and (not ZACTIF_1153)))
             |)
          | (| CLK_DX_1131 := when ZACTIF_1153
             | CLK_DX_1131 ^= DX_1131 ^= LGW_1132
             | ACT_CLK_DX_1131{}
             | CLK_631 := when (not ZACTIF_1153)
             |)
          | (| CLK_4149 := CLK_XW0_6 ^+ CLK_DX_4 |)
          | (| CLK_4170 := CLK_XW0_649 ^+ CLK_DX_647 |)
          | (| CLK_4191 := CLK_XW0_811 ^+ CLK_DX_809 |)
          | (| CLK_4212 := CLK_XW0_972 ^+ CLK_DX_970 |)
          | (| CLK_4233 := CLK_XW0_1133 ^+ CLK_DX_1131 |)
          | (| ACTIF_504 := (X2>XT1) and (XX2<=(XT1+1.0))
             | ZACTIF_505 := ACTIF_504$1 init false
             | ACTIF_669 := (X2>XT2) and (XX2<=(XT2+1.0))
             | ZACTIF_670 := ACTIF_669$1 init false
             | ACTIF_830 := (X2>XT3) and (XX2<=(XT3+1.0))
             | ZACTIF_831 := ACTIF_830$1 init false
             | ACTIF_991 := (X2>XT4) and (XX2<=(XT4+1.0))
             | ZACTIF_992 := ACTIF_991$1 init false
             | ACTIF_1152 := (X2>XT5) and (XX2<=(XT5+1.0))
             | ZACTIF_1153 := ACTIF_1152$1 init false
             | X2 := (XT1 when STOP2) default ((ZX_1354+VIT2) when CLK_4899)
             | XX2 := X2-LTRAIN_1356
             | LWAGONS_1329 := (LWAG2 when DEMARRAGE_1553) default (ZLWAGONS_1358 when CLK_4897)
             | ZX_1354 := X2$1 init XT1
             | LTRAIN_1356 := (L_1355 when DEMARRAGE_1553) default (ZLTRAIN_1357 when CLK_4897)
             | ZLTRAIN_1357 := LTRAIN_1356$1 init 100.0e0
             | ZLWAGONS_1358 := LWAGONS_1329$1 init 10.0e0
             | VIT2 := VITESSE_1550 when HV_1554
             | ZX1_1796 := X1_1793$1 init 0
             | ZX2_1797 := X2_1794$1 init 0
             | ZX3_1801 := X3_1802$1 init 0
             | (X1_1793,X2_1794,X3_1802) := DESSINERTRAIN(X2,XX2,LWAGONS_1329,140 when HV_1554,120 when HV_1554,ZX1_1796,ZX2_1797,ZX3_1801,1 when HV_1554)
             |)
          |)
         where 
         event CLK_4233, CLK_4212, CLK_4191, CLK_4170, CLK_4149, CLK_631, CLK_627, CLK_512, CLK_508, CLK_393, CLK_389, CLK_274, CLK_270, CLK_155, CLK_151;
         integer X1_1793, X2_1794, ZX1_1796, ZX2_1797, ZX3_1801, X3_1802;
         real LWAGONS_1329, ZX_1354, LTRAIN_1356, ZLTRAIN_1357, ZLWAGONS_1358, VIT2;
         boolean ACTIF_504, ZACTIF_505, ACTIF_669, ZACTIF_670, ACTIF_830, ZACTIF_831, ACTIF_991, ZACTIF_992, ACTIF_1152, ZACTIF_1153;
         process ACT_CLK_DX_4 =
              ( )
            (| (| DX_4 := VIT2 when CLK_DX_4
                | LGW_5 := LWAGONS_1329 when CLK_DX_4
                |) |)
         %ACT_CLK_DX_4%; 
         process ACT_CLK_DX_647 =
              ( )
            (| (| DX_647 := VIT2 when CLK_DX_647
                | LGW_648 := LWAGONS_1329 when CLK_DX_647
                |) |)
         %ACT_CLK_DX_647%; 
         process ACT_CLK_DX_809 =
              ( )
            (| (| DX_809 := VIT2 when CLK_DX_809
                | LGW_810 := LWAGONS_1329 when CLK_DX_809
                |) |)
         %ACT_CLK_DX_809%; 
         process ACT_CLK_DX_970 =
              ( )
            (| (| DX_970 := VIT2 when CLK_DX_970
                | LGW_971 := LWAGONS_1329 when CLK_DX_970
                |) |)
         %ACT_CLK_DX_970%; 
         process ACT_CLK_DX_1131 =
              ( )
            (| (| DX_1131 := VIT2 when CLK_DX_1131
                | LGW_1132 := LWAGONS_1329 when CLK_DX_1131
                |) |)
         %ACT_CLK_DX_1131%; 
         end
      %ACT_HV_1554%; 
      process ACT_DEMARRAGE_1553 =
           ( )
         (| DEMARRAGE_1553 ^= NWAG2
          | (| L_1355 := LWAG2*real(NWAG2)
             | LWAG2 := L_1552 when DEMARRAGE_1553
             | NWAG2 := N_1549 when DEMARRAGE_1553
             |)
          |)
         where 
         integer NWAG2;
         end
      %ACT_DEMARRAGE_1553%; 
      process ACT_HV =
           ( )
         (| HV ^= ACTIF ^= ZACTIF ^= ACTIF_625 ^= ZACTIF_626 ^= ACTIF_787 ^= ZACTIF_788 ^= ACTIF_948 ^= ZACTIF_949 ^= ACTIF_1109 ^= ZACTIF_1110 ^= LWAGONS ^= ZX ^= LTRAIN ^= ZLTRAIN ^= ZLWAGONS ^= VIT1 ^= X1_1687 ^= X2_1688 ^= ZX1_1690 ^= ZX2_1691 ^= 
            ZX3 ^= X3
          | (| CLK_XW0_3 := when (ACTIF and (not ZACTIF))
             | CLK_XW0_3 ^= XW0_3
             | (| XW0_3 := (X1-XT1) when CLK_XW0_3 |)
             | CLK := when (not (ACTIF and (not ZACTIF)))
             |)
          | (| CLK_DX_1 := when ZACTIF
             | CLK_DX_1 ^= DX_1 ^= LGW_2
             | ACT_CLK_DX_1{}
             | CLK_122 := when (not ZACTIF)
             |)
          | (| CLK_XW0_605 := when (ACTIF_625 and (not ZACTIF_626))
             | CLK_XW0_605 ^= XW0_605
             | (| XW0_605 := (X1-XT2) when CLK_XW0_605 |)
             | CLK_237 := when (not (ACTIF_625 and (not ZACTIF_626)))
             |)
          | (| CLK_DX_603 := when ZACTIF_626
             | CLK_DX_603 ^= DX_603 ^= LGW_604
             | ACT_CLK_DX_603{}
             | CLK_241 := when (not ZACTIF_626)
             |)
          | (| CLK_XW0_768 := when (ACTIF_787 and (not ZACTIF_788))
             | CLK_XW0_768 ^= XW0_768
             | (| XW0_768 := (X1-XT3) when CLK_XW0_768 |)
             | CLK_356 := when (not (ACTIF_787 and (not ZACTIF_788)))
             |)
          | (| CLK_DX_766 := when ZACTIF_788
             | CLK_DX_766 ^= DX_766 ^= LGW_767
             | ACT_CLK_DX_766{}
             | CLK_360 := when (not ZACTIF_788)
             |)
          | (| CLK_XW0_929 := when (ACTIF_948 and (not ZACTIF_949))
             | CLK_XW0_929 ^= XW0_929
             | (| XW0_929 := (X1-XT4) when CLK_XW0_929 |)
             | CLK_475 := when (not (ACTIF_948 and (not ZACTIF_949)))
             |)
          | (| CLK_DX_927 := when ZACTIF_949
             | CLK_DX_927 ^= DX_927 ^= LGW_928
             | ACT_CLK_DX_927{}
             | CLK_479 := when (not ZACTIF_949)
             |)
          | (| CLK_XW0_1090 := when (ACTIF_1109 and (not ZACTIF_1110))
             | CLK_XW0_1090 ^= XW0_1090
             | (| XW0_1090 := (X1-XT5) when CLK_XW0_1090 |)
             | CLK_594 := when (not (ACTIF_1109 and (not ZACTIF_1110)))
             |)
          | (| CLK_DX_1088 := when ZACTIF_1110
             | CLK_DX_1088 ^= DX_1088 ^= LGW_1089
             | ACT_CLK_DX_1088{}
             | CLK_598 := when (not ZACTIF_1110)
             |)
          | (| CLK_4145 := CLK_XW0_3 ^+ CLK_DX_1 |)
          | (| CLK_4166 := CLK_XW0_605 ^+ CLK_DX_603 |)
          | (| CLK_4187 := CLK_XW0_768 ^+ CLK_DX_766 |)
          | (| CLK_4208 := CLK_XW0_929 ^+ CLK_DX_927 |)
          | (| CLK_4229 := CLK_XW0_1090 ^+ CLK_DX_1088 |)
          | (| ACTIF := (X1>XT1) and (XX1<=(XT1+1.0))
             | ZACTIF := ACTIF$1 init false
             | ACTIF_625 := (X1>XT2) and (XX1<=(XT2+1.0))
             | ZACTIF_626 := ACTIF_625$1 init false
             | ACTIF_787 := (X1>XT3) and (XX1<=(XT3+1.0))
             | ZACTIF_788 := ACTIF_787$1 init false
             | ACTIF_948 := (X1>XT4) and (XX1<=(XT4+1.0))
             | ZACTIF_949 := ACTIF_948$1 init false
             | ACTIF_1109 := (X1>XT5) and (XX1<=(XT5+1.0))
             | ZACTIF_1110 := ACTIF_1109$1 init false
             | X1 := (XT1 when STOP1) default ((ZX+VIT1) when CLK_4894)
             | XX1 := X1-LTRAIN
             | LWAGONS := (LWAG1 when DEMARRAGE) default (ZLWAGONS when CLK_4892)
             | ZX := X1$1 init XT1
             | LTRAIN := (L when DEMARRAGE) default (ZLTRAIN when CLK_4892)
             | ZLTRAIN := LTRAIN$1 init 100.0e0
             | ZLWAGONS := LWAGONS$1 init 10.0e0
             | VIT1 := VITESSE when HV
             | ZX1_1690 := X1_1687$1 init 0
             | ZX2_1691 := X2_1688$1 init 0
             | ZX3 := X3$1 init 0
             | (X1_1687,X2_1688,X3) := DESSINERTRAIN(X1,XX1,LWAGONS,140 when HV,120 when HV,ZX1_1690,ZX2_1691,ZX3,1 when HV)
             |)
          |)
         where 
         event CLK_4229, CLK_4208, CLK_4187, CLK_4166, CLK_4145, CLK_598, CLK_594, CLK_479, CLK_475, CLK_360, CLK_356, CLK_241, CLK_237, CLK_122, CLK;
         integer X1_1687, X2_1688, ZX1_1690, ZX2_1691, ZX3, X3;
         real LWAGONS, ZX, LTRAIN, ZLTRAIN, ZLWAGONS, VIT1;
         boolean ACTIF, ZACTIF, ACTIF_625, ZACTIF_626, ACTIF_787, ZACTIF_788, ACTIF_948, ZACTIF_949, ACTIF_1109, ZACTIF_1110;
         process ACT_CLK_DX_1 =
              ( )
            (| (| DX_1 := VIT1 when CLK_DX_1
                | LGW_2 := LWAGONS when CLK_DX_1
                |) |)
         %ACT_CLK_DX_1%; 
         process ACT_CLK_DX_603 =
              ( )
            (| (| DX_603 := VIT1 when CLK_DX_603
                | LGW_604 := LWAGONS when CLK_DX_603
                |) |)
         %ACT_CLK_DX_603%; 
         process ACT_CLK_DX_766 =
              ( )
            (| (| DX_766 := VIT1 when CLK_DX_766
                | LGW_767 := LWAGONS when CLK_DX_766
                |) |)
         %ACT_CLK_DX_766%; 
         process ACT_CLK_DX_927 =
              ( )
            (| (| DX_927 := VIT1 when CLK_DX_927
                | LGW_928 := LWAGONS when CLK_DX_927
                |) |)
         %ACT_CLK_DX_927%; 
         process ACT_CLK_DX_1088 =
              ( )
            (| (| DX_1088 := VIT1 when CLK_DX_1088
                | LGW_1089 := LWAGONS when CLK_DX_1088
                |) |)
         %ACT_CLK_DX_1088%; 
         end
      %ACT_HV%; 
      process ACT_DEMARRAGE =
           ( )
         (| DEMARRAGE ^= NWAG1
          | (| L := LWAG1*real(NWAG1)
             | LWAG1 := L_1479 when DEMARRAGE
             | NWAG1 := N when DEMARRAGE
             |)
          |)
         where 
         integer NWAG1;
         end
      %ACT_DEMARRAGE%; 
      process ACT_CLK_DX =
           ( )
         (| CLK_DX ^= DX ^= Z
          | (| T1S40 := when (NXW>=LGW)
             | CLK_196 := when (not (NXW>=LGW))
             |)
          | (| DX := (DX_1 when CLK_DX_1) default (DX_4 when CLK_4854)
             | LGW := (LGW_2 when CLK_DX_1) default (LGW_5 when CLK_4854)
             | Z := ZXW when CLK_DX
             | NXW := Z+DX
             |)
          |)
         where 
         event CLK_196;
         real DX, Z;
         end
      %ACT_CLK_DX%; 
      process ACT_CLK_XW =
           ( )
         (| CLK_XW ^= XW
          | (| XW := (XW0 when CLK_XW0) default ((NXW-LGW) when CLK_4858) default (NXW when CLK_4852)
             | ZXW := XW$1 init 0e0
             |)
          |)
         where 
         real XW;
         end
      %ACT_CLK_XW%; 
      process ACT_CLK_DX_584 =
           ( )
         (| CLK_DX_584 ^= DX_584 ^= Z_713
          | (| T1S41 := when (NXW_714>=LGW_585)
             | CLK_315 := when (not (NXW_714>=LGW_585))
             |)
          | (| DX_584 := (DX_603 when CLK_DX_603) default (DX_647 when CLK_4850)
             | LGW_585 := (LGW_604 when CLK_DX_603) default (LGW_648 when CLK_4850)
             | Z_713 := ZXW_716 when CLK_DX_584
             | NXW_714 := Z_713+DX_584
             |)
          |)
         where 
         event CLK_315;
         real DX_584, Z_713;
         end
      %ACT_CLK_DX_584%; 
      process ACT_CLK_XW_715 =
           ( )
         (| CLK_XW_715 ^= XW_715
          | (| XW_715 := (XW0_586 when CLK_XW0_586) default ((NXW_714-LGW_585) when CLK_4866) default (NXW_714 when CLK_4848)
             | ZXW_716 := XW_715$1 init 0e0
             |)
          |)
         where 
         real XW_715;
         end
      %ACT_CLK_XW_715%; 
      process ACT_CLK_DX_747 =
           ( )
         (| CLK_DX_747 ^= DX_747 ^= Z_874
          | (| T1S30 := when (NXW_875>=LGW_748)
             | CLK_434 := when (not (NXW_875>=LGW_748))
             |)
          | (| DX_747 := (DX_766 when CLK_DX_766) default (DX_809 when CLK_4846)
             | LGW_748 := (LGW_767 when CLK_DX_766) default (LGW_810 when CLK_4846)
             | Z_874 := ZXW_877 when CLK_DX_747
             | NXW_875 := Z_874+DX_747
             |)
          |)
         where 
         event CLK_434;
         real DX_747, Z_874;
         end
      %ACT_CLK_DX_747%; 
      process ACT_CLK_XW_876 =
           ( )
         (| CLK_XW_876 ^= XW_876
          | (| XW_876 := (XW0_749 when CLK_XW0_749) default ((NXW_875-LGW_748) when CLK_4872) default (NXW_875 when CLK_4844)
             | ZXW_877 := XW_876$1 init 0e0
             |)
          |)
         where 
         real XW_876;
         end
      %ACT_CLK_XW_876%; 
      process ACT_CLK_DX_908 =
           ( )
         (| CLK_DX_908 ^= DX_908 ^= Z_1035
          | (| T1S20 := when (NXW_1036>=LGW_909)
             | CLK_553 := when (not (NXW_1036>=LGW_909))
             |)
          | (| DX_908 := (DX_927 when CLK_DX_927) default (DX_970 when CLK_4842)
             | LGW_909 := (LGW_928 when CLK_DX_927) default (LGW_971 when CLK_4842)
             | Z_1035 := ZXW_1038 when CLK_DX_908
             | NXW_1036 := Z_1035+DX_908
             |)
          |)
         where 
         event CLK_553;
         real DX_908, Z_1035;
         end
      %ACT_CLK_DX_908%; 
      process ACT_CLK_XW_1037 =
           ( )
         (| CLK_XW_1037 ^= XW_1037
          | (| XW_1037 := (XW0_910 when CLK_XW0_910) default ((NXW_1036-LGW_909) when CLK_4880) default (NXW_1036 when CLK_4840)
             | ZXW_1038 := XW_1037$1 init 0e0
             |)
          |)
         where 
         real XW_1037;
         end
      %ACT_CLK_XW_1037%; 
      process ACT_CLK_DX_1069 =
           ( )
         (| CLK_DX_1069 ^= DX_1069 ^= Z_1196
          | (| T1S10 := when (NXW_1197>=LGW_1070)
             | CLK_672 := when (not (NXW_1197>=LGW_1070))
             |)
          | (| DX_1069 := (DX_1088 when CLK_DX_1088) default (DX_1131 when CLK_4838)
             | LGW_1070 := (LGW_1089 when CLK_DX_1088) default (LGW_1132 when CLK_4838)
             | Z_1196 := ZXW_1199 when CLK_DX_1069
             | NXW_1197 := Z_1196+DX_1069
             |)
          |)
         where 
         event CLK_672;
         real DX_1069, Z_1196;
         end
      %ACT_CLK_DX_1069%; 
      process ACT_CLK_XW_1198 =
           ( )
         (| CLK_XW_1198 ^= XW_1198
          | (| XW_1198 := (XW0_1071 when CLK_XW0_1071) default ((NXW_1197-LGW_1070) when CLK_4888) default (NXW_1197 when CLK_4836)
             | ZXW_1199 := XW_1198$1 init 0e0
             |)
          |)
         where 
         real XW_1198;
         end
      %ACT_CLK_XW_1198%; 
      process ACT_CLK_DX_1963 =
           ( )
         (| CLK_DX_1963 ^= DX_1963 ^= Z_2097
          | (| T2S10 := when (NXW_2098>=LGW_1964)
             | CLK_1118 := when (not (NXW_2098>=LGW_1964))
             |)
          | (| DX_1963 := (DX_1982 when CLK_DX_1982) default (DX_2028 when CLK_4834)
             | LGW_1964 := (LGW_1983 when CLK_DX_1982) default (LGW_2029 when CLK_4834)
             | Z_2097 := ZXW_2100 when CLK_DX_1963
             | NXW_2098 := Z_2097+DX_1963
             |)
          |)
         where 
         event CLK_1118;
         real DX_1963, Z_2097;
         end
      %ACT_CLK_DX_1963%; 
      process ACT_CLK_XW_2099 =
           ( )
         (| CLK_XW_2099 ^= XW_2099
          | (| XW_2099 := (XW0_1965 when CLK_XW0_1965) default ((NXW_2098-LGW_1964) when CLK_4904) default (NXW_2098 when CLK_4832)
             | ZXW_2100 := XW_2099$1 init 0e0
             |)
          |)
         where 
         real XW_2099;
         end
      %ACT_CLK_XW_2099%; 
      process ACT_CLK_DX_2131 =
           ( )
         (| CLK_DX_2131 ^= DX_2131 ^= Z_2259
          | (| T2S11 := when (NXW_2260>=LGW_2132)
             | CLK_1237 := when (not (NXW_2260>=LGW_2132))
             |)
          | (| DX_2131 := (DX_2150 when CLK_DX_2150) default (DX_2193 when CLK_4830)
             | LGW_2132 := (LGW_2151 when CLK_DX_2150) default (LGW_2194 when CLK_4830)
             | Z_2259 := ZXW_2262 when CLK_DX_2131
             | NXW_2260 := Z_2259+DX_2131
             |)
          |)
         where 
         event CLK_1237;
         real DX_2131, Z_2259;
         end
      %ACT_CLK_DX_2131%; 
      process ACT_CLK_XW_2261 =
           ( )
         (| CLK_XW_2261 ^= XW_2261
          | (| XW_2261 := (XW0_2133 when CLK_XW0_2133) default ((NXW_2260-LGW_2132) when CLK_4912) default (NXW_2260 when CLK_4828)
             | ZXW_2262 := XW_2261$1 init 0e0
             |)
          |)
         where 
         real XW_2261;
         end
      %ACT_CLK_XW_2261%; 
      process ACT_CLK_DX_2293 =
           ( )
         (| CLK_DX_2293 ^= DX_2293 ^= Z_2419
          | (| T2S20 := when (NXW_2420>=LGW_2294)
             | CLK_1356 := when (not (NXW_2420>=LGW_2294))
             |)
          | (| DX_2293 := (DX_2312 when CLK_DX_2312) default (DX_2354 when CLK_4826)
             | LGW_2294 := (LGW_2313 when CLK_DX_2312) default (LGW_2355 when CLK_4826)
             | Z_2419 := ZXW_2422 when CLK_DX_2293
             | NXW_2420 := Z_2419+DX_2293
             |)
          |)
         where 
         event CLK_1356;
         real DX_2293, Z_2419;
         end
      %ACT_CLK_DX_2293%; 
      process ACT_CLK_XW_2421 =
           ( )
         (| CLK_XW_2421 ^= XW_2421
          | (| XW_2421 := (XW0_2295 when CLK_XW0_2295) default ((NXW_2420-LGW_2294) when CLK_4918) default (NXW_2420 when CLK_4824)
             | ZXW_2422 := XW_2421$1 init 0e0
             |)
          |)
         where 
         real XW_2421;
         end
      %ACT_CLK_XW_2421%; 
      process ACT_CLK_DX_2453 =
           ( )
         (| CLK_DX_2453 ^= DX_2453 ^= Z_2579
          | (| T2S30 := when (NXW_2580>=LGW_2454)
             | CLK_1475 := when (not (NXW_2580>=LGW_2454))
             |)
          | (| DX_2453 := (DX_2472 when CLK_DX_2472) default (DX_2514 when CLK_4822)
             | LGW_2454 := (LGW_2473 when CLK_DX_2472) default (LGW_2515 when CLK_4822)
             | Z_2579 := ZXW_2582 when CLK_DX_2453
             | NXW_2580 := Z_2579+DX_2453
             |)
          |)
         where 
         event CLK_1475;
         real DX_2453, Z_2579;
         end
      %ACT_CLK_DX_2453%; 
      process ACT_CLK_XW_2581 =
           ( )
         (| CLK_XW_2581 ^= XW_2581
          | (| XW_2581 := (XW0_2455 when CLK_XW0_2455) default ((NXW_2580-LGW_2454) when CLK_4926) default (NXW_2580 when CLK_4820)
             | ZXW_2582 := XW_2581$1 init 0e0
             |)
          |)
         where 
         real XW_2581;
         end
      %ACT_CLK_XW_2581%; 
      process ACT_CLK_DX_2613 =
           ( )
         (| CLK_DX_2613 ^= DX_2613 ^= Z_2739
          | (| T2S40 := when (NXW_2740>=LGW_2614)
             | CLK_1594 := when (not (NXW_2740>=LGW_2614))
             |)
          | (| DX_2613 := (DX_2632 when CLK_DX_2632) default (DX_2674 when CLK_4818)
             | LGW_2614 := (LGW_2633 when CLK_DX_2632) default (LGW_2675 when CLK_4818)
             | Z_2739 := ZXW_2742 when CLK_DX_2613
             | NXW_2740 := Z_2739+DX_2613
             |)
          |)
         where 
         event CLK_1594;
         real DX_2613, Z_2739;
         end
      %ACT_CLK_DX_2613%; 
      process ACT_CLK_XW_2741 =
           ( )
         (| CLK_XW_2741 ^= XW_2741
          | (| XW_2741 := (XW0_2615 when CLK_XW0_2615) default ((NXW_2740-LGW_2614) when CLK_4934) default (NXW_2740 when CLK_4816)
             | ZXW_2742 := XW_2741$1 init 0e0
             |)
          |)
         where 
         real XW_2741;
         end
      %ACT_CLK_XW_2741%; 
      process ACT_CLK_N_4148 =
           ( )
         (| CLK_N_4148 ^= N_4148 ^= ZN ^= DN
          | (| CLK_2335 := when (ZN=0)
             | CLK_2336 := when (not (ZN=0))
             |)
          | (| CLK_2338 := when (N_4148=0)
             | CLK_2339 := when (not (N_4148=0))
             |)
          | (| CLK_OCCUPE := CLK_2335 ^+ CLK_2338
             | ACT_CLK_OCCUPE{}
             |)
          | (| CLK_4955 := CLK_2338 ^- CLK_2335 |)
          | (| N_4148 := ZN+DN
             | ZN := N_4148$1 init 0
             | DN := (0 when CLK_4448) default (1 when CLK_4860) default ((-1) when CLK_4874)
             |)
          |)
         where 
         event CLK_4955, CLK_2339, CLK_2338, CLK_2336, CLK_2335;
         integer N_4148, ZN, DN;
         process ACT_CLK_OCCUPE =
              ( )
            (| CLK_OCCUPE ^= OCCUPE ^= COULEUR_5803
             | (| CLK_3436 := when OCCUPE
                | CLK_3437 := when (not OCCUPE)
                |)
             | (| OCCUPE := CLK_2335 default (not CLK_4955)
                | COULEUR_5803 := (1 when CLK_3436) default (0 when CLK_3437)
                | RECTANGLE(0 when CLK_OCCUPE,120 when CLK_OCCUPE,60 when CLK_OCCUPE,220 when CLK_OCCUPE,80 when CLK_OCCUPE,COULEUR_5803)
                |)
             |)
            where 
            event CLK_3437, CLK_3436;
            integer COULEUR_5803;
            boolean OCCUPE;
            end
         %ACT_CLK_OCCUPE%; 
         end
      %ACT_CLK_N_4148%; 
      process ACT_HN_5152 =
           ( )
         (| HN_5152 ^= N_5139 ^= ZN_5151
          | (| CLK_3053 := when (ZN_5151>0)
             | CLK_3054 := when (not (ZN_5151>0))
             |)
          | (| CLK_3067 := when (ZN_5151=1)
             | CLK_3068 := when (not (ZN_5151=1))
             |)
          | (| N_5139 := (13 when T1S41) default ((ZN_5151-1) when CLK_4978) default (ZN_5151 when CLK_4764)
             | ZN_5151 := N_5139$1 init 0
             |)
          |)
         where 
         event CLK_3068, CLK_3054;
         integer N_5139, ZN_5151;
         end
      %ACT_HN_5152%; 
      process ACT_CLK_N_4176 =
           ( )
         (| CLK_N_4176 ^= N_4176 ^= ZN_4177 ^= DN_4178
          | (| CLK_2365 := when (ZN_4177=0)
             | CLK_2366 := when (not (ZN_4177=0))
             |)
          | (| CLK_2368 := when (N_4176=0)
             | CLK_2369 := when (not (N_4176=0))
             |)
          | (| CLK_CENTRE := CLK_2365 ^+ CLK_2368
             | ACT_CLK_CENTRE{}
             |)
          | (| CLK_4958 := CLK_2368 ^- CLK_2365 |)
          | (| N_4176 := ZN_4177+DN_4178
             | ZN_4177 := N_4176$1 init 0
             | DN_4178 := (0 when CLK_4450) default (1 when CLK_4876) default ((-1) when CLK_4882)
             |)
          |)
         where 
         event CLK_4958, CLK_2369, CLK_2368, CLK_2366, CLK_2365;
         integer N_4176, ZN_4177, DN_4178;
         process ACT_CLK_CENTRE =
              ( )
            (| CLK_CENTRE ^= CENTRE ^= COULEUR_5848
             | (| CLK_3199 := when CENTRE
                | MONTER_4 := when (not CENTRE)
                |)
             | (| CENTRE := CLK_2365 default (not CLK_4958)
                | COULEUR_5848 := (1 when CLK_3199) default (0 when MONTER_4)
                | RECTANGLE(0 when CLK_CENTRE,240 when CLK_CENTRE,60 when CLK_CENTRE,340 when CLK_CENTRE,80 when CLK_CENTRE,COULEUR_5848)
                |)
             |)
            where 
            event CLK_3199;
            integer COULEUR_5848;
            boolean CENTRE;
            end
         %ACT_CLK_CENTRE%; 
         end
      %ACT_CLK_N_4176%; 
      process ACT_CLK_N_4204 =
           ( )
         (| CLK_N_4204 ^= N_4204 ^= ZN_4205 ^= DN_4206
          | (| CLK_2395 := when (ZN_4205=0)
             | CLK_2396 := when (not (ZN_4205=0))
             |)
          | (| CLK_2398 := when (N_4204=0)
             | CLK_2399 := when (not (N_4204=0))
             |)
          | (| CLK_EST := CLK_2395 ^+ CLK_2398
             | ACT_CLK_EST{}
             |)
          | (| CLK_4961 := CLK_2398 ^- CLK_2395 |)
          | (| N_4204 := ZN_4205+DN_4206
             | ZN_4205 := N_4204$1 init 0
             | DN_4206 := (0 when CLK_4452) default (1 when CLK_4884) default ((-1) when CLK_4890)
             |)
          |)
         where 
         event CLK_4961, CLK_2399, CLK_2398, CLK_2396, CLK_2395;
         integer N_4204, ZN_4205, DN_4206;
         process ACT_CLK_EST =
              ( )
            (| CLK_EST ^= EST ^= COULEUR_5891
             | (| CLK_3480 := when EST
                | CLK_3481 := when (not EST)
                |)
             | (| EST := CLK_2395 default (not CLK_4961)
                | COULEUR_5891 := (1 when CLK_3480) default (0 when CLK_3481)
                | RECTANGLE(0 when CLK_EST,360 when CLK_EST,60 when CLK_EST,460 when CLK_EST,80 when CLK_EST,COULEUR_5891)
                |)
             |)
            where 
            event CLK_3481, CLK_3480;
            integer COULEUR_5891;
            boolean EST;
            end
         %ACT_CLK_EST%; 
         end
      %ACT_CLK_N_4204%; 
      process ACT_CLK_N_4263 =
           ( )
         (| CLK_N_4263 ^= N_4263 ^= ZN_4264 ^= DN_4265
          | (| CLK_2441 := when (ZN_4264=0)
             | CLK_2442 := when (not (ZN_4264=0))
             |)
          | (| CLK_2444 := when (N_4263=0)
             | CLK_2445 := when (not (N_4263=0))
             |)
          | (| CLK_TS2W := CLK_2441 ^+ CLK_2444
             | ACT_CLK_TS2W{}
             |)
          | (| CLK_4964 := CLK_2444 ^- CLK_2441 |)
          | (| N_4263 := ZN_4264+DN_4265
             | ZN_4264 := N_4263$1 init 0
             | DN_4265 := (0 when CLK_4454) default (1 when CLK_4906) default ((-1) when CLK_4920)
             |)
          |)
         where 
         event CLK_4964, CLK_2445, CLK_2444, CLK_2442, CLK_2441;
         integer N_4263, ZN_4264, DN_4265;
         process ACT_CLK_TS2W =
              ( )
            (| CLK_TS2W ^= TS2W ^= COULEUR_6041
             | (| CLK_3552 := when TS2W
                | CLK_3553 := when (not TS2W)
                |)
             | (| TS2W := CLK_2441 default (not CLK_4964)
                | COULEUR_6041 := (1 when CLK_3552) default (0 when CLK_3553)
                | RECTANGLE(0 when CLK_TS2W,360 when CLK_TS2W,100 when CLK_TS2W,460 when CLK_TS2W,120 when CLK_TS2W,COULEUR_6041)
                |)
             |)
            where 
            event CLK_3553, CLK_3552;
            integer COULEUR_6041;
            boolean TS2W;
            end
         %ACT_CLK_TS2W%; 
         end
      %ACT_CLK_N_4263%; 
      process ACT_HN =
           ( )
         (| HN ^= N_4509 ^= ZN_4522
          | (| CLK_2571 := when (ZN_4522>0)
             | CLK_2572 := when (not (ZN_4522>0))
             |)
          | (| CLK_2585 := when (ZN_4522=1)
             | CLK_2586 := when (not (ZN_4522=1))
             |)
          | (| N_4509 := (13 when T2S11) default ((ZN_4522-1) when CLK_4972) default (ZN_4522 when CLK_4766)
             | ZN_4522 := N_4509$1 init 0
             |)
          |)
         where 
         event CLK_2586, CLK_2572;
         integer N_4509, ZN_4522;
         end
      %ACT_HN%; 
      process ACT_CLK_N_4291 =
           ( )
         (| CLK_N_4291 ^= N_4291 ^= ZN_4292 ^= DN_4293
          | (| CLK_2471 := when (ZN_4292=0)
             | CLK_2472 := when (not (ZN_4292=0))
             |)
          | (| CLK_2474 := when (N_4291=0)
             | CLK_2475 := when (not (N_4291=0))
             |)
          | (| CLK_TS2C := CLK_2471 ^+ CLK_2474
             | ACT_CLK_TS2C{}
             |)
          | (| CLK_4967 := CLK_2474 ^- CLK_2471 |)
          | (| N_4291 := ZN_4292+DN_4293
             | ZN_4292 := N_4291$1 init 0
             | DN_4293 := (0 when CLK_4456) default (1 when CLK_4922) default ((-1) when CLK_4928)
             |)
          |)
         where 
         event CLK_4967, CLK_2475, CLK_2474, CLK_2472, CLK_2471;
         integer N_4291, ZN_4292, DN_4293;
         process ACT_CLK_TS2C =
              ( )
            (| CLK_TS2C ^= TS2C ^= COULEUR_5998
             | (| CLK_2719 := when TS2C
                | MONTER_1 := when (not TS2C)
                |)
             | (| TS2C := CLK_2471 default (not CLK_4967)
                | COULEUR_5998 := (1 when CLK_2719) default (0 when MONTER_1)
                | RECTANGLE(0 when CLK_TS2C,240 when CLK_TS2C,100 when CLK_TS2C,340 when CLK_TS2C,120 when CLK_TS2C,COULEUR_5998)
                |)
             |)
            where 
            event CLK_2719;
            integer COULEUR_5998;
            boolean TS2C;
            end
         %ACT_CLK_TS2C%; 
         end
      %ACT_CLK_N_4291%; 
      process ACT_CLK_N_4319 =
           ( )
         (| CLK_N_4319 ^= N_4319 ^= ZN_4320 ^= DN_4321
          | (| CLK_2501 := when (ZN_4320=0)
             | CLK_2502 := when (not (ZN_4320=0))
             |)
          | (| CLK_2504 := when (N_4319=0)
             | CLK_2505 := when (not (N_4319=0))
             |)
          | (| CLK_TS2E := CLK_2501 ^+ CLK_2504
             | ACT_CLK_TS2E{}
             |)
          | (| CLK_4970 := CLK_2504 ^- CLK_2501 |)
          | (| N_4319 := ZN_4320+DN_4321
             | ZN_4320 := N_4319$1 init 0
             | DN_4321 := (0 when CLK_4458) default (1 when CLK_4930) default ((-1) when CLK_4936)
             |)
          |)
         where 
         event CLK_4970, CLK_2505, CLK_2504, CLK_2502, CLK_2501;
         integer N_4319, ZN_4320, DN_4321;
         process ACT_CLK_TS2E =
              ( )
            (| CLK_TS2E ^= TS2E ^= COULEUR_5953
             | (| CLK_3508 := when TS2E
                | CLK_3509 := when (not TS2E)
                |)
             | (| TS2E := CLK_2501 default (not CLK_4970)
                | COULEUR_5953 := (1 when CLK_3508) default (0 when CLK_3509)
                | RECTANGLE(0 when CLK_TS2E,120 when CLK_TS2E,100 when CLK_TS2E,220 when CLK_TS2E,120 when CLK_TS2E,COULEUR_5953)
                |)
             |)
            where 
            event CLK_3509, CLK_3508;
            integer COULEUR_5953;
            boolean TS2E;
            end
         %ACT_CLK_TS2E%; 
         end
      %ACT_CLK_N_4319%; 
      process ACT_CLK_PASSANT_5118 =
           ( )
         (| CLK_PASSANT_5118 ^= PASSANT_5118 ^= ZPASSANT_5119
          | (| CLK_3036 := when ZPASSANT_5119
             | CLK_3037 := when (not ZPASSANT_5119)
             |)
          | (| PASSANT_5118 := TOP_5101 default (not CLK_4862)
             | ZPASSANT_5119 := PASSANT_5118$1 init INITIAL_5111
             |)
          |)
         where 
         event CLK_3037;
         boolean PASSANT_5118, ZPASSANT_5119;
         end
      %ACT_CLK_PASSANT_5118%; 
      process ACT_CLK_PASSANT_5325 =
           ( )
         (| CLK_PASSANT_5325 ^= PASSANT_5325 ^= ZPASSANT_5326
          | (| CLK_3190 := when ZPASSANT_5326
             | CLK_3191 := when (not ZPASSANT_5326)
             |)
          | (| PASSANT_5325 := TOP_5101 default (not CLK_4868)
             | ZPASSANT_5326 := PASSANT_5325$1 init INITIAL_5318
             |)
          |)
         where 
         event CLK_3191;
         boolean PASSANT_5325, ZPASSANT_5326;
         end
      %ACT_CLK_PASSANT_5325%; 
      process ACT_CLK_PASSANT =
           ( )
         (| CLK_PASSANT ^= PASSANT ^= ZPASSANT
          | (| CLK_2554 := when ZPASSANT
             | CLK_2555 := when (not ZPASSANT)
             |)
          | (| PASSANT := TOP default (not CLK_4908)
             | ZPASSANT := PASSANT$1 init INITIAL
             |)
          |)
         where 
         event CLK_2555;
         boolean PASSANT, ZPASSANT;
         end
      %ACT_CLK_PASSANT%; 
      process ACT_CLK_PASSANT_4709 =
           ( )
         (| CLK_PASSANT_4709 ^= PASSANT_4709 ^= ZPASSANT_4710
          | (| CLK_2710 := when ZPASSANT_4710
             | CLK_2711 := when (not ZPASSANT_4710)
             |)
          | (| PASSANT_4709 := TOP default (not CLK_4914)
             | ZPASSANT_4710 := PASSANT_4709$1 init INITIAL_4702
             |)
          |)
         where 
         event CLK_2711;
         boolean PASSANT_4709, ZPASSANT_4710;
         end
      %ACT_CLK_PASSANT_4709%; 
      process ACT_SORTIE_2_5103 =
           ( )
         (| SORTIE_2_5103 ^= DUREE_5187 ^= ATTENTE_5249 ^= XZX_5250
          | (| CLK_N0_5247 := when (ATTENTE_5249>0)
             | CLK_N0_5247 ^= N0_5247
             | (| N0_5247 := ATTENTE_5249 when CLK_N0_5247 |)
             | CLK_3127 := when (not (ATTENTE_5249>0))
             |)
          | (| CLK_3155 := when (ATTENTE_5249<=15)
             | CLK_3156 := when (not (ATTENTE_5249<=15))
             |)
          | (| CLK_3164 := when (ATTENTE_5249<=0)
             | CLK_3165 := when (not (ATTENTE_5249<=0))
             |)
          | (| DUREE_5187 := N_5234 when SORTIE_2_5103
             | ATTENTE_5249 := (integer(XZX_5250)-30) when SORTIE_2_5103
             | XZX_5250 := ((real(DUREE_5187)*(DIST2/DIST1))/100.0) when SORTIE_2_5103
             |)
          |)
         where 
         event CLK_3165, CLK_3156, CLK_3127;
         real XZX_5250;
         integer DUREE_5187, ATTENTE_5249;
         end
      %ACT_SORTIE_2_5103%; 
      process ACT_SORTIE_2 =
           ( )
         (| SORTIE_2 ^= DUREE ^= ATTENTE ^= XZX_4624
          | (| CLK_N0_4621 := when (ATTENTE>0)
             | CLK_N0_4621 ^= N0_4621
             | (| N0_4621 := ATTENTE when CLK_N0_4621 |)
             | CLK_2645 := when (not (ATTENTE>0))
             |)
          | (| CLK_2673 := when (ATTENTE<=15)
             | CLK_2674 := when (not (ATTENTE<=15))
             |)
          | (| CLK_2682 := when (ATTENTE<=0)
             | CLK_2683 := when (not (ATTENTE<=0))
             |)
          | (| DUREE := N_4608 when SORTIE_2
             | ATTENTE := (integer(XZX_4624)-30) when SORTIE_2
             | XZX_4624 := ((real(DUREE)*(DIST2/DIST1))/100.0) when SORTIE_2
             |)
          |)
         where 
         event CLK_2683, CLK_2674, CLK_2645;
         real XZX_4624;
         integer DUREE, ATTENTE;
         end
      %ACT_SORTIE_2%; 
      process ACT_HN_5236 =
           ( )
         (| HN_5236 ^= ZN_5235
          | (| N_5234 := (0 when SORTIE_1_5102) default ((ZN_5235+1) when CLK_4756)
             | ZN_5235 := N_5234$1 init 0
             |)
          |)
         where 
         integer ZN_5235;
         end
      %ACT_HN_5236%; 
      process ACT_HN_4610 =
           ( )
         (| HN_4610 ^= ZN_4609
          | (| N_4608 := (0 when SORTIE_1) default ((ZN_4609+1) when CLK_4752)
             | ZN_4609 := N_4608$1 init 0
             |)
          |)
         where 
         integer ZN_4609;
         end
      %ACT_HN_4610%; 
      process ACT_HN_4651 =
           ( )
         (| HN_4651 ^= N_4559 ^= ZN_4650
          | (| CLK_2652 := when (ZN_4650>0)
             | CLK_2653 := when (not (ZN_4650>0))
             |)
          | (| CLK_2666 := when (ZN_4650=1)
             | CLK_2667 := when (not (ZN_4650=1))
             |)
          | (| CLK_2676 := when (N_4559=15)
             | CLK_2677 := when (not (N_4559=15))
             |)
          | (| N_4559 := (N0_4621 when CLK_N0_4621) default ((ZN_4650-1) when CLK_4974) default (ZN_4650 when CLK_4748)
             | ZN_4650 := N_4559$1 init 0
             | AFFENTIER(N_4559,170 when HN_4651,220 when HN_4651)
             |)
          |)
         where 
         event CLK_2677, CLK_2667, CLK_2653;
         integer N_4559, ZN_4650;
         end
      %ACT_HN_4651%; 
      process ACT_HN_5275 =
           ( )
         (| HN_5275 ^= N_5186 ^= ZN_5274
          | (| CLK_3134 := when (ZN_5274>0)
             | CLK_3135 := when (not (ZN_5274>0))
             |)
          | (| CLK_3148 := when (ZN_5274=1)
             | CLK_3149 := when (not (ZN_5274=1))
             |)
          | (| CLK_3158 := when (N_5186=15)
             | CLK_3159 := when (not (N_5186=15))
             |)
          | (| N_5186 := (N0_5247 when CLK_N0_5247) default ((ZN_5274-1) when CLK_4980) default (ZN_5274 when CLK_4750)
             | ZN_5274 := N_5186$1 init 0
             | AFFENTIER(N_5186,170 when HN_5275,200 when HN_5275)
             |)
          |)
         where 
         event CLK_3159, CLK_3149, CLK_3135;
         integer N_5186, ZN_5274;
         end
      %ACT_HN_5275%; 
      process ACT_HN_5385 =
           ( )
         (| HN_5385 ^= DN1 ^= DN2 ^= DN3 ^= DN4 ^= N_5383 ^= ZN_5384
          | (| OUVRIR := when (N_5383=0)
             | CLK_3255 := when (not (N_5383=0))
             |)
          | (| ERREUR := when (N_5383<0)
             | (| ALERTE(ERREUR) |)
             | CLK_3259 := when (not (N_5383<0))
             |)
          | (| CLK_4031 := OUVRIR ^+ ERREUR |)
          | (| DN1 := (1 when T_5) default (0 when CLK_4730)
             | DN2 := (1 when T_2) default (0 when CLK_4732)
             | DN3 := ((-1) when MONTER_4) default (0 when CLK_4734)
             | DN4 := ((-1) when MONTER_1) default (0 when CLK_4736)
             | N_5383 := ZN_5384+DN1+DN2+DN3+DN4
             | ZN_5384 := N_5383$1 init 0
             |)
          |)
         where 
         event CLK_4031, CLK_3259, ERREUR, CLK_3255;
         integer DN1, DN2, DN3, DN4, N_5383, ZN_5384;
         end
      %ACT_HN_5385%; 
      process ACT_CLK_PASSANT_5433 =
           ( )
         (| CLK_PASSANT_5433 ^= PASSANT_5433 ^= ZPASSANT_5434
          | (| CLK_3281 := when ZPASSANT_5434
             | CLK_3282 := when (not ZPASSANT_5434)
             |)
          | (| PASSANT_5433 := OUVRIR default (not CLK_4740)
             | ZPASSANT_5434 := PASSANT_5433$1 init INITIAL_5426
             |)
          |)
         where 
         event CLK_3282;
         boolean PASSANT_5433, ZPASSANT_5434;
         end
      %ACT_CLK_PASSANT_5433%; 
      process ACT_CLK_DP_3740 =
           ( )
         (| CLK_DP_3740 ^= DP_3740 ^= NP_3741 ^= P_3742 ^= ZP_3743 ^= EFFACE_3770
          | (| L1CO := when (NP_3741>=9)
             | CLK_2139 := when (not (NP_3741>=9))
             |)
          | (| B1SD := when (NP_3741<=0)
             | CLK_2142 := when (not (NP_3741<=0))
             |)
          | (| EB1C := L1CO ^+ B1SD
             | ACT_EB1C{}
             |)
          | (| CLK_4952 := B1SD ^- L1CO |)
          | (| CLK_4998 := CLK_DP_3740 ^- EB1C |)
          | (| DP_3740 := XZX_3744 when CLK_DP_3740
             | NP_3741 := ZP_3743+DP_3740
             | P_3742 := (9 when L1CO) default (0 when CLK_4952) default (NP_3741 when CLK_4998)
             | ZP_3743 := P_3742$1 init 9
             | EFFACE_3770 := EFFACE_BARRIERE(520 when CLK_DP_3740,80 when CLK_DP_3740,ZP_3743)
             | TRACE_BARRIERE(520 when CLK_DP_3740,80 when CLK_DP_3740,P_3742,EFFACE_3770)
             |)
          |)
         where 
         event CLK_4998, CLK_4952, CLK_2142, CLK_2139;
         boolean EFFACE_3770;
         integer DP_3740, NP_3741, P_3742, ZP_3743;
         process ACT_EB1C =
              ( )
            (| EB1C ^= SB ^= COULEUR_6118
             | (| CLK_3583 := when SB
                | CLK_3584 := when (not SB)
                |)
             | (| SB := L1CO default (not CLK_4952)
                | COULEUR_6118 := (1 when CLK_3583) default (0 when CLK_3584)
                | RECTANGLE(0 when EB1C,137 when EB1C,200 when EB1C,187 when EB1C,220 when EB1C,COULEUR_6118)
                |)
             |)
            where 
            event CLK_3584, CLK_3583;
            integer COULEUR_6118;
            boolean SB;
            end
         %ACT_EB1C%; 
         end
      %ACT_CLK_DP_3740%; 
      process ACT_CLK_DP =
           ( )
         (| CLK_DP ^= DP ^= NP ^= P ^= ZP ^= EFFACE
          | (| L2CO := when (NP>=9)
             | CLK_1965 := when (not (NP>=9))
             |)
          | (| B2SD := when (NP<=0)
             | CLK_1968 := when (not (NP<=0))
             |)
          | (| EB2C := L2CO ^+ B2SD
             | ACT_EB2C{}
             |)
          | (| CLK_4949 := B2SD ^- L2CO |)
          | (| CLK_5000 := CLK_DP ^- EB2C |)
          | (| DP := XZX when CLK_DP
             | NP := ZP+DP
             | P := (9 when L2CO) default (0 when CLK_4949) default (NP when CLK_5000)
             | ZP := P$1 init 9
             | EFFACE := EFFACE_BARRIERE(520 when CLK_DP,310 when CLK_DP,ZP)
             | TRACE_BARRIERE(520 when CLK_DP,310 when CLK_DP,P,EFFACE)
             |)
          |)
         where 
         event CLK_5000, CLK_4949, CLK_1968, CLK_1965;
         boolean EFFACE;
         integer DP, NP, P, ZP;
         process ACT_EB2C =
              ( )
            (| EB2C ^= SB2 ^= COULEUR_6282
             | (| CLK_3665 := when SB2
                | CLK_3666 := when (not SB2)
                |)
             | (| SB2 := L2CO default (not CLK_4949)
                | COULEUR_6282 := (1 when CLK_3665) default (0 when CLK_3666)
                | RECTANGLE(0 when EB2C,137 when EB2C,240 when EB2C,187 when EB2C,260 when EB2C,COULEUR_6282)
                |)
             |)
            where 
            event CLK_3666, CLK_3665;
            integer COULEUR_6282;
            boolean SB2;
            end
         %ACT_EB2C%; 
         end
      %ACT_CLK_DP%; 
      process ACT_HN_4974 =
           ( )
         (| HN_4974 ^= N_4972 ^= ZN_4973
          | (| CLK_2921 := when (ZN_4973>0)
             | CLK_2922 := when (not (ZN_4973>0))
             |)
          | (| CLK_2932 := when (ZN_4973=1)
             | CLK_2933 := when (not (ZN_4973=1))
             |)
          | (| N_4972 := (5 when OUVRIR) default (0 when CLK_5660) default ((ZN_4973-1) when CLK_5628) default (ZN_4973 when CLK_5596)
             | ZN_4973 := N_4972$1 init 0
             |)
          |)
         where 
         event CLK_2933, CLK_2922;
         integer N_4972, ZN_4973;
         end
      %ACT_HN_4974%; 
      process ACT_HN_5044 =
           ( )
         (| HN_5044 ^= N_5042 ^= ZN_5043
          | (| CLK_2990 := when (ZN_5043>0)
             | CLK_2991 := when (not (ZN_5043>0))
             |)
          | (| CLK_3001 := when (ZN_5043=1)
             | CLK_3002 := when (not (ZN_5043=1))
             |)
          | (| N_5042 := (5 when FERMER) default (0 when CLK_5654) default ((ZN_5043-1) when CLK_5624) default (ZN_5043 when CLK_5600)
             | ZN_5043 := N_5042$1 init 0
             |)
          |)
         where 
         event CLK_3002, CLK_2991;
         integer N_5042, ZN_5043;
         end
      %ACT_HN_5044%; 
      process ACT_HN_4801 =
           ( )
         (| HN_4801 ^= N_4799 ^= ZN_4800
          | (| CLK_2777 := when (ZN_4800>0)
             | CLK_2778 := when (not (ZN_4800>0))
             |)
          | (| CLK_2788 := when (ZN_4800=1)
             | CLK_2789 := when (not (ZN_4800=1))
             |)
          | (| N_4799 := (5 when OUVRIR) default (0 when CLK_5644) default ((ZN_4800-1) when CLK_5634) default (ZN_4800 when CLK_5598)
             | ZN_4800 := N_4799$1 init 0
             |)
          |)
         where 
         event CLK_2789, CLK_2778;
         integer N_4799, ZN_4800;
         end
      %ACT_HN_4801%; 
      process ACT_HN_4873 =
           ( )
         (| HN_4873 ^= N_4871 ^= ZN_4872
          | (| CLK_2846 := when (ZN_4872>0)
             | CLK_2847 := when (not (ZN_4872>0))
             |)
          | (| CLK_2857 := when (ZN_4872=1)
             | CLK_2858 := when (not (ZN_4872=1))
             |)
          | (| N_4871 := (5 when FERMER) default (0 when CLK_5638) default ((ZN_4872-1) when CLK_5630) default (ZN_4872 when CLK_5604)
             | ZN_4872 := N_4871$1 init 0
             |)
          |)
         where 
         event CLK_2858, CLK_2847;
         integer N_4871, ZN_4872;
         end
      %ACT_HN_4873%; 
      process ACT_HN_5009 =
           ( )
         (| HN_5009 ^= N_5007 ^= ZN_5008
          | (| CLK_2957 := when (ZN_5008>0)
             | CLK_2958 := when (not (ZN_5008>0))
             |)
          | (| CLK_2968 := when (ZN_5008=1)
             | CLK_2969 := when (not (ZN_5008=1))
             |)
          | (| N_5007 := (5 when EB2D) default (0 when CLK_5652) default ((ZN_5008-1) when CLK_5626) default (ZN_5008 when CLK_5602)
             | ZN_5008 := N_5007$1 init 0
             |)
          |)
         where 
         event CLK_2969, CLK_2958;
         integer N_5007, ZN_5008;
         end
      %ACT_HN_5009%; 
      process ACT_HN_4837 =
           ( )
         (| HN_4837 ^= N_4835 ^= ZN_4836
          | (| CLK_2813 := when (ZN_4836>0)
             | CLK_2814 := when (not (ZN_4836>0))
             |)
          | (| CLK_2824 := when (ZN_4836=1)
             | CLK_2825 := when (not (ZN_4836=1))
             |)
          | (| N_4835 := (5 when EB1D) default (0 when CLK_5636) default ((ZN_4836-1) when CLK_5632) default (ZN_4836 when CLK_5606)
             | ZN_4836 := N_4835$1 init 0
             |)
          |)
         where 
         event CLK_2825, CLK_2814;
         integer N_4835, ZN_4836;
         end
      %ACT_HN_4837%; 
      process ACT_CLK_T2_6261 =
           ( )
         (| CLK_T2_6261 ^= T2_6261 ^= COULEUR_6376
          | (| CLK_3716 := when T2_6261
             | CLK_3717 := when (not T2_6261)
             |)
          | (| T2_6261 := EB2D default (not CLK_5664)
             | COULEUR_6376 := (1 when CLK_3716) default (0 when CLK_3717)
             | RECTANGLE(0 when CLK_T2_6261,400 when CLK_T2_6261,240 when CLK_T2_6261,500 when CLK_T2_6261,260 when CLK_T2_6261,COULEUR_6376)
             |)
          |)
         where 
         event CLK_3717, CLK_3716;
         integer COULEUR_6376;
         boolean T2_6261;
         end
      %ACT_CLK_T2_6261%; 
      process ACT_HACTIF_5674 =
           ( )
         (| HACTIF_5674 ^= ACTIF_5654 ^= ZACTIF_5655
          | (| CLK_3390 := when ACTIF_5654
             | CLK_3391 := when (not ACTIF_5654)
             |)
          | (| ACTIF_5654 := L2CS default (not CLK_5586) default (ZACTIF_5655 when CLK_5610)
             | ZACTIF_5655 := ACTIF_5654$1 init false
             |)
          |)
         where 
         event CLK_3391;
         boolean ACTIF_5654, ZACTIF_5655;
         end
      %ACT_HACTIF_5674%; 
      process ACT_CLK_T1_6260 =
           ( )
         (| CLK_T1_6260 ^= T1_6260 ^= COULEUR_6333
          | (| CLK_3694 := when T1_6260
             | CLK_3695 := when (not T1_6260)
             |)
          | (| T1_6260 := EB2U default (not CLK_5666)
             | COULEUR_6333 := (1 when CLK_3694) default (0 when CLK_3695)
             | RECTANGLE(0 when CLK_T1_6260,280 when CLK_T1_6260,240 when CLK_T1_6260,380 when CLK_T1_6260,260 when CLK_T1_6260,COULEUR_6333)
             |)
          |)
         where 
         event CLK_3695, CLK_3694;
         integer COULEUR_6333;
         boolean T1_6260;
         end
      %ACT_CLK_T1_6260%; 
      process ACT_CLK_T2_6096 =
           ( )
         (| CLK_T2_6096 ^= T2_6096 ^= COULEUR_6212
          | (| CLK_3634 := when T2_6096
             | CLK_3635 := when (not T2_6096)
             |)
          | (| T2_6096 := EB1D default (not CLK_5648)
             | COULEUR_6212 := (1 when CLK_3634) default (0 when CLK_3635)
             | RECTANGLE(0 when CLK_T2_6096,400 when CLK_T2_6096,200 when CLK_T2_6096,500 when CLK_T2_6096,220 when CLK_T2_6096,COULEUR_6212)
             |)
          |)
         where 
         event CLK_3635, CLK_3634;
         integer COULEUR_6212;
         boolean T2_6096;
         end
      %ACT_CLK_T2_6096%; 
      process ACT_HACTIF_5552 =
           ( )
         (| HACTIF_5552 ^= ACTIF_5530 ^= ZACTIF_5531
          | (| CLK_3328 := when ACTIF_5530
             | CLK_3329 := when (not ACTIF_5530)
             |)
          | (| ACTIF_5530 := L1CS default (not CLK_5572) default (ZACTIF_5531 when CLK_5608)
             | ZACTIF_5531 := ACTIF_5530$1 init false
             |)
          |)
         where 
         event CLK_3329;
         boolean ACTIF_5530, ZACTIF_5531;
         end
      %ACT_HACTIF_5552%; 
      process ACT_CLK_T1_6095 =
           ( )
         (| CLK_T1_6095 ^= T1_6095 ^= COULEUR_6169
          | (| CLK_3612 := when T1_6095
             | CLK_3613 := when (not T1_6095)
             |)
          | (| T1_6095 := EB1U default (not CLK_5650)
             | COULEUR_6169 := (1 when CLK_3612) default (0 when CLK_3613)
             | RECTANGLE(0 when CLK_T1_6095,280 when CLK_T1_6095,200 when CLK_T1_6095,380 when CLK_T1_6095,220 when CLK_T1_6095,COULEUR_6169)
             |)
          |)
         where 
         event CLK_3613, CLK_3612;
         integer COULEUR_6169;
         boolean T1_6095;
         end
      %ACT_CLK_T1_6095%; 
      process ACT_HCLIGNO_5658 =
           ( )
         (| HCLIGNO_5658 ^= ZTCLIGNO_5660
          | (| TCLIGNO_5659 := not ZTCLIGNO_5660
             | ZTCLIGNO_5660 := TCLIGNO_5659$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO_5660;
         end
      %ACT_HCLIGNO_5658%; 
      process ACT_HCLIGNO =
           ( )
         (| HCLIGNO ^= ZTCLIGNO
          | (| TCLIGNO := not ZTCLIGNO
             | ZTCLIGNO := TCLIGNO$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO;
         end
      %ACT_HCLIGNO%; 
      process ACT_CLK_T_5532 =
           ( )
         (| CLK_T_5532 ^= T_5532 ^= COULEUR
          | (| CLK_3339 := when T_5532
             | CLK_3340 := when (not T_5532)
             |)
          | (| T_5532 := (TSTABLE when CLK_TSTABLE) default (TCLIGNO when CLK_5562)
             | COULEUR := (1 when CLK_3339) default (0 when CLK_3340)
             | RECTANGLE(1 when CLK_T_5532,498 when CLK_T_5532,72 when CLK_T_5532,514 when CLK_T_5532,88 when CLK_T_5532,COULEUR)
             |)
          |)
         where 
         event CLK_3340, CLK_3339;
         integer COULEUR;
         boolean T_5532;
         end
      %ACT_CLK_T_5532%; 
      process ACT_CLK_T_5656 =
           ( )
         (| CLK_T_5656 ^= T_5656 ^= COULEUR_5705
          | (| CLK_3401 := when T_5656
             | CLK_3402 := when (not T_5656)
             |)
          | (| T_5656 := (TSTABLE_5657 when CLK_TSTABLE_5657) default (TCLIGNO_5659 when CLK_5560)
             | COULEUR_5705 := (1 when CLK_3401) default (0 when CLK_3402)
             | RECTANGLE(1 when CLK_T_5656,498 when CLK_T_5656,302 when CLK_T_5656,514 when CLK_T_5656,318 when CLK_T_5656,COULEUR_5705)
             |)
          |)
         where 
         event CLK_3402, CLK_3401;
         integer COULEUR_5705;
         boolean T_5656;
         end
      %ACT_CLK_T_5656%; 
      end
   %ACT_HACTIF%; 
   process RAZSLIDER =
        ( ? integer NS;
        )
   
   %RAZSLIDER%; 
   process DESSINERTRAIN =
        ( ? real XDEB, XFIN, L;
            integer Y1, Y2, ZX1, ZX2, ZX3, S;
          ! integer X1, X2, X3;
        )
        spec (| XDEB ^= XFIN ^= L ^= Y1 ^= Y2 ^= ZX1 ^= ZX2 ^= ZX3 ^= S ^= X1 ^= X2 ^= X3 |)
   
   %DESSINERTRAIN%; 
   process RECTANGLE =
        ( ? integer FEN;
            integer X1, Y1, X2, Y2, COULEUR;
        )
        spec (| FEN ^= X1 ^= Y1 ^= X2 ^= Y2 ^= COULEUR |)
   
   %RECTANGLE%; 
   process AFFENTIER =
        ( ? integer N, X1, Y1;
        )
        spec (| N ^= X1 ^= Y1 |)
   
   %AFFENTIER%; 
   process ALERTE =
        ( ? boolean ERREUR;
        )
   
   %ALERTE%; 
   process EFFACE_BARRIERE =
        ( ? integer X, Y, ZP;
          ! boolean EFFACE;
        )
        spec (| X ^= Y ^= ZP ^= EFFACE |)
   
   %EFFACE_BARRIERE%; 
   process TRACE_BARRIERE =
        ( ? integer X, Y, P;
            boolean EFFACE;
        )
        spec (| X ^= Y ^= P ^= EFFACE |)
   
   %TRACE_BARRIERE%; 
   end
%TRAIN_TRA%; 
